import { ElementRef, Renderer2, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DragReorderDirective {
    item: any;
    updateList: EventEmitter<any[]>;
    placeholder: HTMLElement | null;
    startY: number;
    offsetY: number;
    lastIndex: number;
    initialTop: number;
    initialLeft: number;
    elRef: ElementRef<any>;
    renderer: Renderer2;
    host: any;
    constructor();
    getSiblings(): HTMLElement[];
    onPointerDown(e: PointerEvent): void;
    onPointerMove(e: PointerEvent): void;
    onPointerUp(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragReorderDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DragReorderDirective, "[dragReorder]", never, { "item": { "alias": "item"; "required": false; }; }, { "updateList": "updateList"; }, never, never, true, never>;
}
