import { ElementRef, Renderer2, TemplateRef, ViewContainerRef, OnDestroy } from '@angular/core';
import { DomService } from '../libraries/services/dom.service';
import * as i0 from "@angular/core";
export declare class HtmlTooltipDirective implements OnDestroy {
    private el;
    private renderer;
    private viewContainerRef;
    private domeService;
    htmlTooltip: TemplateRef<any> | null;
    tooltipContext: any;
    maxWidthUnset: boolean;
    backgroundColor: string;
    private tooltipEl?;
    private embeddedView?;
    private zIndex;
    constructor(el: ElementRef, renderer: Renderer2, viewContainerRef: ViewContainerRef, domeService: DomService);
    onMouseEnter(): void;
    private setBaseStyles;
    private setArrowStyles;
    ngOnDestroy(): void;
    private destroyTooltip;
    static ɵfac: i0.ɵɵFactoryDeclaration<HtmlTooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<HtmlTooltipDirective, "[htmlTooltip]", never, { "htmlTooltip": { "alias": "htmlTooltip"; "required": false; }; "tooltipContext": { "alias": "tooltipContext"; "required": false; }; "maxWidthUnset": { "alias": "maxWidthUnset"; "required": false; }; "backgroundColor": { "alias": "backgroundColor"; "required": false; }; }, {}, never, never, true, never>;
}
