import { HttpInterceptor, HttpHandler, HttpRequest, HttpHandlerFn, HttpEvent } from '@angular/common/http';
import { AuthService } from '../services/auth.service';
import { StatisticAuthService } from '../services/statistic-auth.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AuthInterceptor implements HttpInterceptor {
    private authService;
    private statisticAuthService;
    constructor(authService: AuthService, statisticAuthService: StatisticAuthService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthInterceptor>;
}
export declare function authInterceptor(req: HttpRequest<any>, next: HttpHandlerFn): Observable<HttpEvent<unknown>>;
