import { HttpInterceptor, HttpHandler, HttpRequest, HttpHandlerFn, HttpEvent } from '@angular/common/http';
import { AppConfigService } from '../services/app-config.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare const InterceptorSkipHeader = "X-Skip-Interceptor";
export declare const InterceptorStatisticHeader = "X-Statistic-Interceptor";
export declare class BaseUrlInterceptor implements HttpInterceptor {
    private appConfigService;
    constructor(appConfigService: AppConfigService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseUrlInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BaseUrlInterceptor>;
}
export declare function baseUrlInterceptor(req: HttpRequest<any>, next: HttpHandlerFn): Observable<HttpEvent<unknown>>;
