import { HttpEvent, HttpHandler, HttpHandlerFn, HttpInterceptor, HttpRequest } from "@angular/common/http";
import { Observable } from "rxjs";
import { MultiLanguageService } from "../services/multi-language.service";
import * as i0 from "@angular/core";
export declare class LangInterceptor implements HttpInterceptor {
    private mls;
    constructor(mls: MultiLanguageService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LangInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LangInterceptor>;
}
export declare function langInterceptor(req: HttpRequest<any>, next: HttpHandlerFn): Observable<HttpEvent<unknown>>;
