import { HttpInterceptor, HttpHandler, HttpRequest, HttpEvent, HttpHandlerFn } from '@angular/common/http';
import { AlertService } from '../libraries/alert/alert.service';
import { Observable } from 'rxjs';
import { AppConfigService } from '../services/app-config.service';
import { ResponseService } from '../services/response.service';
import { MultiLanguageService } from '../services/multi-language.service';
import { GrpcService } from '../services/grpc.service';
import * as i0 from "@angular/core";
export declare class ResponseInterceptor implements HttpInterceptor {
    private alertService;
    private appConfigService;
    private responseService;
    private grpcService;
    private mls;
    constructor(alertService: AlertService, appConfigService: AppConfigService, responseService: ResponseService, grpcService: GrpcService, mls: MultiLanguageService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResponseInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ResponseInterceptor>;
}
export declare function responseInterceptor(req: HttpRequest<any>, next: HttpHandlerFn): Observable<HttpEvent<unknown>>;
