import { BehaviorSubject } from "rxjs";
import { IOrgTreeLinerItem } from "../libraries/core-org-tree/core-org-tree/IOrgTreeItem";
export interface IPermissionAction {
    functionId: number;
    allowedActionIds: number[];
    moduleCode: string;
    functionCode: string;
    functionUrl: string;
    allowedActionCodes: string[];
}
export interface IAuthData {
    avatar: string;
    employeeId?: number;
    fullName: string;
    id: string;
    isAdmin: boolean;
    isRoot: boolean;
    isLook: boolean;
    isFirstLogin: any;
    mfaEnable?: boolean;
    permissionParams: any;
    refreshToken: any;
    tenantId: number;
    token: string;
    userName: string;
    groupId?: number;
    loginTime: number;
    orgIds: IOrgTreeLinerItem[];
    orgPermissionChangeFlag$: BehaviorSubject<boolean>;
    permissionActions: IPermissionAction[];
}
