import { IAtSymbol } from "./IAtSymbol";
export interface IAtShift {
    id?: number;
    code: string;
    name: string;
    symbol: IAtSymbol;
    hoursStart?: Date;
    hoursStop?: Date;
    breaksFrom?: Date;
    breaksTo?: Date;
    timeLate?: number;
    timeEarly?: number;
    isActive?: boolean;
    timeStart?: Date;
    timeStop?: Date;
    minHoursWork?: number;
    shiftCellId?: string;
    added?: boolean;
    deleted?: boolean;
    shiftStartDateOnly?: Date;
    shiftStartTimeOnly?: string;
    shiftStopDateOnly?: Date;
    shiftStopTimeOnly?: string;
    breakFromDateOnly?: Date;
    breakFromTimeOnly?: string;
    breakToDateOnly?: Date;
    breakToTimeOnly?: string;
    temporaryId?: string;
}
