import { EnumShiftPatternType } from "../../enum/EnumShiftPatternType";
import { IAtShift } from "./IAtShift";
export interface IAtShiftPerDay {
    patternId: number;
    dayNumber: number;
    shifts: IAtShift[];
}
export interface IAtShiftPattern {
    id: number;
    code: string;
    name: string;
    rotationDays: number;
    patternType: EnumShiftPatternType;
    note: string;
    isActive?: boolean;
    status?: string;
    shiftDetails: IAtShiftPerDay[];
}
