import { OnInit, AfterViewInit, OnDestroy, ElementRef } from '@angular/core';
import { Router } from '@angular/router';
import { Subscription } from 'rxjs';
import { IAlert } from './alert.model';
import { AlertService } from '../alert.service';
import { DomService } from '../../services/dom.service';
import * as i0 from "@angular/core";
export declare class AlertComponent implements OnInit, AfterViewInit, OnDestroy {
    private router;
    private alertService;
    private domService;
    id: string;
    fade: boolean;
    container: ElementRef;
    alerts: IAlert[];
    subscriptions: Subscription[];
    constructor(router: Router, alertService: AlertService, domService: DomService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    removeAlert(alert: IAlert): void;
    cssClass(alert: IAlert): string | undefined;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertComponent, "core-alert", never, { "id": { "alias": "id"; "required": false; }; "fade": { "alias": "fade"; "required": false; }; }, {}, never, never, true, never>;
}
