export interface IAlert {
    id: string;
    type?: EnumAlertType;
    message?: string;
    autoClose?: boolean;
    keepAfterRouteChange?: boolean;
    fade?: boolean;
    timeClose?: number;
}
export declare enum EnumAlertType {
    Success = 0,
    Error = 1,
    Info = 2,
    Warning = 3
}
export declare class IAlertOptions {
    id?: string;
    autoClose?: boolean;
    keepAfterRouteChange?: boolean;
    timeClose?: number;
}
