import { EventEmitter, OnInit } from '@angular/core';
import { LongTaskService } from '../../services/long-task.service';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CoreApiProgressComponent extends BaseComponent implements OnInit {
    mls: MultiLanguageService;
    private longTaskService;
    onClose: EventEmitter<any>;
    message: string;
    outerMessage: string;
    outerPercent: number;
    innerMessage: string;
    innerPercent: number;
    error: boolean;
    hideProgressBar: boolean;
    constructor(mls: MultiLanguageService, longTaskService: LongTaskService);
    ngOnInit(): void;
    onClickClose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreApiProgressComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreApiProgressComponent, "core-api-progress", never, {}, { "onClose": "onClose"; }, never, never, true, never>;
}
