import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { CoreFormControlBaseComponent } from '../core-form-control-base/core-form-control-base.component';
import { DndService } from '../../services/dnd.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { IAtShiftPattern } from '../../interfaces/time-management/IAtShiftPattern';
import { ShiftPatternDndService } from '../../services/shift-pattern-dnd.service';
import * as i0 from "@angular/core";
export declare class CoreAtPatternCardComponent extends CoreFormControlBaseComponent implements OnInit, AfterViewInit, OnDestroy {
    value: IAtShiftPattern | null;
    $container: import("@angular/core").Signal<ElementRef<any> | undefined>;
    cdr: ChangeDetectorRef;
    shiftPatternDndService: ShiftPatternDndService;
    dndService: DndService;
    mls: MultiLanguageService;
    lang: string;
    code: string | undefined;
    name: string | undefined;
    patternType: string | undefined;
    rotationDays: number | undefined;
    writeValue(obj: IAtShiftPattern | null): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreAtPatternCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreAtPatternCardComponent, "core-at-pattern-card", never, {}, {}, never, never, true, never>;
}
