import { AfterViewInit, ElementRef, ChangeDetectorRef } from '@angular/core';
import { DomService } from '../services/dom.service';
import { AppService } from '../../services/app.service';
import { BaseComponent } from '../base-component/base/base.component';
import { IAtShiftPattern } from '../../interfaces/time-management/IAtShiftPattern';
import { ShiftPatternDndService } from '../../services/shift-pattern-dnd.service';
import * as i0 from "@angular/core";
export declare class CoreAtPatternCollectionComponent extends BaseComponent implements AfterViewInit {
    height: number;
    relativeMode: boolean;
    container: ElementRef<any>;
    header: ElementRef<any>;
    domService: DomService;
    appService: AppService;
    cdr: ChangeDetectorRef;
    shiftPatternDndService: ShiftPatternDndService;
    fullPatterns: IAtShiftPattern[];
    filteredPatterns: any[];
    searchHeight: number;
    itemHeight: number;
    keyword: string;
    ngAfterViewInit(): void;
    onClose(e: any): void;
    filter(): void;
    onKeywordChange(e: string): void;
    onFilterReset(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreAtPatternCollectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreAtPatternCollectionComponent, "core-at-pattern-collection", never, { "height": { "alias": "height"; "required": true; }; "relativeMode": { "alias": "relativeMode"; "required": false; }; }, {}, never, never, true, never>;
}
