import { AfterViewInit } from '@angular/core';
import { BaseComponent } from '../../base-component/base/base.component';
import { ICoreButtonVNS } from '../../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { EnumCoreButtonVNSCode } from '../../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { AppService } from '../../../services/app.service';
import { AlertService } from '../../alert/alert.service';
import { ActionService } from '../../../services/action.service';
import * as i0 from "@angular/core";
export declare class ActionSvgEditComponent extends BaseComponent implements AfterViewInit {
    mls: MultiLanguageService;
    private actionService;
    private appService;
    private alertService;
    id: number | undefined;
    code: string | undefined;
    svg: string;
    buttonItems: EnumCoreButtonVNSCode[];
    constructor(mls: MultiLanguageService, actionService: ActionService, appService: AppService, alertService: AlertService);
    onButtonClick(e: ICoreButtonVNS): void;
    validateSvg(svgString: string | undefined): {
        isValid: boolean;
        errors: string[];
    };
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionSvgEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActionSvgEditComponent, "core-action-svg-edit", never, {}, {}, never, never, true, never>;
}
