import { EventEmitter, OnDestroy, OnInit, SimpleChanges, OnChanges, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { Subscription } from 'rxjs';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CoreCheckboxComponent extends CoreFormControlBaseComponent implements OnInit, ControlValueAccessor, OnDestroy, OnChanges {
    private mls;
    text: string;
    tooltipPosition: string;
    tooltip: string;
    inputValue: boolean;
    disabled: boolean;
    onClick: EventEmitter<boolean>;
    lang: string;
    subscriptions: Subscription[];
    cdr: ChangeDetectorRef;
    constructor(mls: MultiLanguageService);
    ngOnInit(): void;
    ngOnChanges(e: SimpleChanges): void;
    writeValue(obj: boolean): void;
    onLabelClick(_: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreCheckboxComponent, "core-checkbox", never, { "text": { "alias": "text"; "required": false; }; "tooltipPosition": { "alias": "tooltipPosition"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "inputValue": { "alias": "inputValue"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "onClick": "onClick"; }, never, never, true, never>;
}
