import { ElementRef, AfterViewInit, OnDestroy } from '@angular/core';
import { DialogService } from '../../../services/dialog.service';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { EnumTranslateKey } from "alpha-global-constants";
import { RoutingService } from '../../../services/routing.service';
import * as i0 from "@angular/core";
export declare class CoreConfirmDialogComponent extends BaseComponent implements AfterViewInit, OnDestroy {
    mls: MultiLanguageService;
    private dialogService;
    private routingService;
    showingUp: boolean;
    container: ElementRef;
    show: boolean | undefined;
    okButtonText: EnumTranslateKey;
    cancelButtonText: EnumTranslateKey;
    title: EnumTranslateKey;
    body: EnumTranslateKey;
    showCancelOnly: boolean;
    informationLines: string[];
    reason: string;
    constructor(mls: MultiLanguageService, dialogService: DialogService, routingService: RoutingService);
    ngAfterViewInit(): void;
    close(): void;
    onConfirm(): void;
    onReasonEvent(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreConfirmDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreConfirmDialogComponent, "core-confirm-dialog", never, { "showingUp": { "alias": "showingUp"; "required": false; }; }, {}, never, never, true, never>;
}
