export declare enum EnumCoreSeekerColumnJob {
    IS_ACTIVE = "actflg",
    JOB_CODE = "code",
    JOB_NAME = "nameVn",
    JOB_PURPOSE = "purpose",
    JOB_FAMILY = "jobFamilyId",
    JOB_NOTE = "note"
}
export declare enum EnumCoreSeekerColumnStaffProfile {
    AVATAR = "avatar",
    EMPLOYEE_CODE = "code",
    FULLNAME = "fullname",
    PROFILE_CODE = "profileCode",
    NAME_IN_PROFILE = "nameOnProfileEmployee",
    ORG_NAME = "orgName",
    WORK_STATUS_NAME = "workStatusName"
}
export declare enum EnumCoreSeekerColumnContract {
    WORK_STATUS_NAME = "statusName",
    EMPLOYEE_CODE = "employeeCode",
    FULLNAME = "employeeName",
    POSITION_NAME = "positionName",
    ORG_NAME = "orgName",
    CONTRACT_NO = "contractNo",
    CONTRACT_TYPE_NAME = "contractTypeName",
    START_DATE = "startDate",
    EXPIRED_DATE = "expireDate",
    LIQUIDATION_DATE = "liquidationDate",
    LIQUIDATION_REASON = "liquidationReason",
    SIGN_DATE = "signDate",
    SIGNER_NAME = "signerName",
    SIGNER_POSITION = "signerPosition"
}
export declare enum EnumCoreSeekerColumnWorking {
    DECISION_STATUS = "statusName",
    EMPLOYEE_CODE = "employeeCode",
    EMPLOYEE_NAME = "employeeName",
    POSITION_NAME = "positionName",
    ORG_NAME = "orgName",
    DECISION_NO = "decisionNo",
    DECISION_TYPE_NAME = "typeName",
    EFFECT_DATE = "effectDate",
    EXPIRED_DATE = "expireDate",
    WORKPLACE_NAME = "workPlaceName",
    EMPLOYEE_OBJ_NAME = "employeeObjName"
}
export declare enum EnumCoreSeekerColumnWage {
    WAGE_STATUS = "statusName",
    EMPLOYEE_CODE = "employeeCode",
    EMPLOYEE_NAME = "employeeName",
    ORG_NAME = "orgName",
    POSITION_NAME = "positionName",
    EFFECT_DATE = "effectDate",
    EXPIRED_DATE = "expireDate",
    WAGE_TYPE_NAME = "typeName",
    DECISION_NO = "decisionNo",
    UPSAL_DATE = "expireUpsalDate",
    WAGE_REASON_UPSAL = "reasonUpsal"
}
export declare enum EnumCoreSeekerColumnPosition {
    IS_ACTIVE = "active",
    POSITION_CODE = "code",
    POSITION_NAME = "name",
    POSITION_MASTER = "masterName",
    POSITION_INTERIM = "interimName",
    IS_MAIN_TITLE = "isMaster",
    POSITION_ORG_NAME = "orgName",
    POSITION_LM_JOB = "lmJobName",
    POSITION_LM_NAME = "lmName",
    POSITION_CSM_JOB = "csmJobName",
    POSITION_CSM = "csmName",
    POSITION_IS_TDV = "isTDV",
    IS_NOT_OT = "isNotot",
    EFFECTIVE_DATE = "effectiveDate",
    POSITION_JOB_DESC = "jobDesc",
    POSITION_NOTE = "note"
}
export declare enum EnumCoreSeekerColumnPositionConcurrent {
    EMPLOYEE_CODE = "employeeCode",
    EMPLOYEE_FULLNAME = "employeeName",
    POSTION_TITLE = "POSTION_TITLE",
    ORG_NAME = "orgConcurrentName",
    EFFECTIVE_DATE = "effectiveDate",
    EXPIRATION_DATE = "expirationDate",
    STATUS = "status",
    NOTE = "note"
}
export declare enum EnumCoreSeekerColumnAutoForm {
    ID = "id",
    NAME = "name",
    ENTITY_TABLE = "entityTable"
}
