import { AfterViewInit, TemplateRef } from '@angular/core';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../core-page-list/core-page-list.component';
import { ICoreTableColumnItem } from '../core-table/ICoreTableColumnItem';
import { LayoutService } from '../../services/layout.service';
import { BaseComponent } from '../base-component/base/base.component';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CoreFormDesignListComponent extends BaseComponent implements AfterViewInit {
    height: number;
    idCard: TemplateRef<any>;
    groupName: TemplateRef<any>;
    layoutService: LayoutService;
    title: string;
    outerParam$: BehaviorSubject<any>;
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    columns: ICoreTableColumnItem[];
    editRoute: ICorePageListEditRouting;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreFormDesignListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreFormDesignListComponent, "core-form-design-list", never, { "height": { "alias": "height"; "required": false; }; }, {}, never, never, true, never>;
}
