import { BasePropsComponent } from '../base-props/base-props.component';
import { EnumSupportedRuntimeValidator } from '../../enums/EnumSupportedRuntimeValidator';
import { IValidator } from '../../../core-form/core-form/enum-interfaces';
import { MultiLanguageService } from '../../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class ValidatorEditorComponent extends BasePropsComponent {
    mls: MultiLanguageService;
    $availableValidators: import("@angular/core").Signal<EnumSupportedRuntimeValidator[]>;
    $selectedValidators: import("@angular/core").WritableSignal<Partial<Record<EnumSupportedRuntimeValidator, IValidator>>>;
    constructor(mls: MultiLanguageService);
    isChecked(v: EnumSupportedRuntimeValidator): boolean;
    private syncFromControl;
    toggleValidator(v: EnumSupportedRuntimeValidator): void;
    updateValidatorValue(v: EnumSupportedRuntimeValidator, raw: any): void;
    isReadOnlyValidator(v: EnumSupportedRuntimeValidator): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ValidatorEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ValidatorEditorComponent, "validator-editor", never, {}, {}, never, never, true, never>;
}
