import { EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { ICoreFormSection } from '../../core-form/core-form/enum-interfaces';
import { ICoreTableToolClickEventEmitterData, ICoreTableToolItem } from '../../core-table/core-table.component';
import { Subscription } from 'rxjs';
import { FormGroup } from '@angular/forms';
import { CoreControlService } from '../../core-form/core-control.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { ICoreTableColumnItem } from '../../core-table/ICoreTableColumnItem';
import * as i0 from "@angular/core";
export declare class CoreGridBufferComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, OnDestroy {
    private mls;
    private coreControlService;
    writeValue(obj: any[]): void;
    showTools: boolean;
    /**
     *   code: ECoreTableToolCode;
    class: ECoreTableToolClass;
    caption?: EnumTranslateKey | string; // Later we will remove "| string"
     */
    tools: ICoreTableToolItem[];
    lang: string;
    subscriptions: Subscription[];
    formSections: ICoreFormSection[];
    gridColumns: ICoreTableColumnItem[];
    onBufferFormCreated: EventEmitter<FormGroup<any>>;
    form: FormGroup;
    gridData: any[];
    constructor(mls: MultiLanguageService, coreControlService: CoreControlService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    onToolClick(e: ICoreTableToolClickEventEmitterData): void;
    ngOnDestroy(): void;
    onFormSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreGridBufferComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreGridBufferComponent, "core-grid-buffer", never, { "formSections": { "alias": "formSections"; "required": false; }; "gridColumns": { "alias": "gridColumns"; "required": false; }; }, { "onBufferFormCreated": "onBufferFormCreated"; }, never, never, true, never>;
}
