import { AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CoreIosSwitcherComponent extends CoreFormControlBaseComponent implements AfterViewInit, OnDestroy {
    private mls;
    bgColor: string;
    showOnOffText: boolean;
    width: number;
    readonly: boolean;
    container: ElementRef;
    value: boolean;
    labelText: string;
    subscriptions: Subscription[];
    lang: string;
    truelyText: string;
    falsyText: string;
    constructor(mls: MultiLanguageService);
    writeValue(obj: boolean): void;
    onValueChange(event: any): void;
    onClick(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreIosSwitcherComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreIosSwitcherComponent, "core-ios-switcher", never, { "bgColor": { "alias": "bgColor"; "required": false; }; "showOnOffText": { "alias": "showOnOffText"; "required": false; }; "width": { "alias": "width"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; }, {}, never, never, true, never>;
}
