import { AfterViewInit, EventEmitter } from '@angular/core';
import { JobComponent } from '../job/job.component';
import { BehaviorSubject } from 'rxjs';
import { EnumTranslateKey } from 'alpha-global-constants';
import { EnumCoreSeekerColumnJob } from '../core-form-control-seeker/EnumCoreSeekerColumn';
import { IFilterOperator } from '../../interfaces/IQueryListRequest';
import * as i0 from "@angular/core";
export declare class CoreJobSeekerComponent extends JobComponent implements AfterViewInit {
    height: number;
    preDefinedOuterFilter$: BehaviorSubject<IFilterOperator[]>;
    useTheseColumns: string[];
    hideOrgTree: boolean;
    excludedColumns: EnumCoreSeekerColumnJob[];
    multiMode: boolean;
    preDefinedOuterParam$: BehaviorSubject<any>;
    excludedIds$: BehaviorSubject<number[]>;
    rowClick: EventEmitter<any>;
    rowDoubleClick: EventEmitter<any>;
    selectedIdsChange: EventEmitter<any>;
    selectedDataChange: EventEmitter<any>;
    columnsInit: EventEmitter<any>;
    listChange: EventEmitter<any[]>;
    isDevMode: boolean;
    title: EnumTranslateKey;
    corePageListHeight: number;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onRowDoubleClick(e: any): void;
    onSelectedIdsChange(e: any): void;
    onSelectedDataChange(e: any[]): void;
    onRowClick(e: any): void;
    onListChange(e: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreJobSeekerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreJobSeekerComponent, "core-job-seeker", never, { "height": { "alias": "height"; "required": false; }; "preDefinedOuterFilter$": { "alias": "preDefinedOuterFilter$"; "required": false; }; "useTheseColumns": { "alias": "useTheseColumns"; "required": false; }; "hideOrgTree": { "alias": "hideOrgTree"; "required": false; }; "excludedColumns": { "alias": "excludedColumns"; "required": false; }; "multiMode": { "alias": "multiMode"; "required": false; }; "preDefinedOuterParam$": { "alias": "preDefinedOuterParam$"; "required": false; }; "excludedIds$": { "alias": "excludedIds$"; "required": false; }; }, { "rowClick": "rowClick"; "rowDoubleClick": "rowDoubleClick"; "selectedIdsChange": "selectedIdsChange"; "selectedDataChange": "selectedDataChange"; "columnsInit": "columnsInit"; "listChange": "listChange"; }, never, never, true, never>;
}
