import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { CoreDatetimeService, IMonthIdentity } from '../../services/core-datetime.service';
import * as i0 from "@angular/core";
export declare class CoreMonthPickerComponent implements OnInit {
    private coreDatetimeService;
    id: string;
    lang: string;
    monthObject$: BehaviorSubject<IMonthIdentity>;
    onChange: EventEmitter<IMonthIdentity>;
    onYearClick: EventEmitter<number>;
    monthsContainer: ElementRef;
    months: string[][];
    year: number;
    constructor(coreDatetimeService: CoreDatetimeService);
    ngOnInit(): void;
    onClick(rowIndex: number, subMonthIndex: number): void;
    triggerReflow(): void;
    goUp(): void;
    goDown(): void;
    onYearClickLocal(year: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreMonthPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreMonthPickerComponent, "core-month-picker", never, { "id": { "alias": "id"; "required": false; }; "lang": { "alias": "lang"; "required": false; }; "monthObject$": { "alias": "monthObject$"; "required": false; }; }, { "onChange": "onChange"; "onYearClick": "onYearClick"; }, never, never, true, never>;
}
