import { EventEmitter } from '@angular/core';
import { ICoreFormSection } from '../core-form/core-form/enum-interfaces';
import { BehaviorSubject } from 'rxjs';
import { BaseComponent } from '../base-component/base/base.component';
import { EnumTranslateKey } from 'alpha-global-constants';
import { IDynamicFormEmitOnFormCreated } from '../core-form/core-form/core-form.component';
import * as i0 from "@angular/core";
export declare class CorePageEditLiteComponent extends BaseComponent {
    width: number;
    captionCode: string;
    sections: ICoreFormSection[];
    submitText: EnumTranslateKey;
    checkError$: BehaviorSubject<boolean>;
    onFormCreated: EventEmitter<any>;
    submitLogic: EventEmitter<any>;
    cancelLogic: EventEmitter<any>;
    sections$: BehaviorSubject<ICoreFormSection[]>;
    ngOnInit(): void;
    onSubmit(): void;
    onCancel(): void;
    onFormCreatedLocal(e: IDynamicFormEmitOnFormCreated): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePageEditLiteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CorePageEditLiteComponent, "core-page-edit-lite", never, { "width": { "alias": "width"; "required": false; }; "captionCode": { "alias": "captionCode"; "required": false; }; "sections": { "alias": "sections"; "required": false; }; "submitText": { "alias": "submitText"; "required": false; }; "checkError$": { "alias": "checkError$"; "required": false; }; }, { "onFormCreated": "onFormCreated"; "submitLogic": "submitLogic"; "cancelLogic": "cancelLogic"; }, never, never, true, never>;
}
