import { EnumTranslateKey } from "alpha-global-constants";
import { EnumCoreTablePipeType } from "../core-table/EnumCoreTablePipeType";
import { TemplateRef } from "@angular/core";
export interface ICoreViewSection {
    caption?: EnumTranslateKey | string | undefined;
    rows: ICoreViewItem[][];
}
export interface ICoreViewItem {
    labelFlexSize: number;
    flexSize: number;
    height?: number;
    controlType: EnumCoreViewItemType;
    templateRef?: TemplateRef<any>;
    field: string;
    value?: any;
    label: EnumTranslateKey;
    pipe?: EnumCoreTablePipeType;
    hint?: EnumTranslateKey;
}
export declare enum EnumCoreViewItemType {
    TEXT = "TEXT",
    CHECKBOX = "CHECKBOX",
    TEMPLATE = "TEMPLATE"
}
