import { AfterViewInit, OnDestroy } from '@angular/core';
import { CoreFormControlBaseComponent } from '../core-form-control-base/core-form-control-base.component';
import { AppService } from '../../services/app.service';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export interface ICoreSalaryPolicyItem {
    id: number;
    code: string;
    name: string;
    isDefault: boolean;
}
export declare class CoreSalaryPolicyPickerComponent extends CoreFormControlBaseComponent implements AfterViewInit, OnDestroy {
    private appService;
    value: number | null;
    writeValue(e: number | null): void;
    items: ICoreSalaryPolicyItem[];
    subscriptions: Subscription[];
    constructor(appService: AppService);
    ngAfterViewInit(): void;
    onClick(item: ICoreSalaryPolicyItem, e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreSalaryPolicyPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreSalaryPolicyPickerComponent, "core-salary-policy-picker", never, {}, {}, never, never, true, never>;
}
