import { AfterViewInit, EventEmitter, OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { Subject, Subscription } from 'rxjs';
import { IPagination } from '../../../interfaces/IQueryListRequest';
import * as i0 from "@angular/core";
export declare class CoreScrollLazyComponent implements OnChanges, OnInit, AfterViewInit {
    visibleOptions: any[];
    itemTemplate: TemplateRef<any>;
    height: number;
    totalHeight: number;
    childHeight: number;
    search: number;
    onPagination: EventEmitter<IPagination | undefined>;
    renderAhread: number;
    scrollTop: number;
    offsetY: number;
    scrollStream$: Subject<any>;
    subscriptions: Subscription[];
    constructor();
    onScrollLoading(e: any): void;
    ngOnChanges(changes: SimpleChanges): void;
    calculate(): IPagination | undefined;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreScrollLazyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreScrollLazyComponent, "core-scroll-lazy", never, { "visibleOptions": { "alias": "visibleOptions"; "required": false; }; "itemTemplate": { "alias": "itemTemplate"; "required": false; }; "height": { "alias": "height"; "required": false; }; "totalHeight": { "alias": "totalHeight"; "required": false; }; "childHeight": { "alias": "childHeight"; "required": false; }; "search": { "alias": "search"; "required": false; }; }, { "onPagination": "onPagination"; }, never, never, true, never>;
}
