import { OnInit, AfterViewInit, OnDestroy, ElementRef, ChangeDetectorRef } from '@angular/core';
import { CoreFormControlBaseComponent } from '../core-form-control-base/core-form-control-base.component';
import { IAtShift } from '../../interfaces/time-management/IAtShift';
import { WorkShiftDndService } from '../../services/work-shift-dnd.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { DndService } from '../../services/dnd.service';
import * as i0 from "@angular/core";
export declare class CoreShiftCardComponent extends CoreFormControlBaseComponent implements OnInit, AfterViewInit, OnDestroy {
    value: IAtShift | null;
    $container: import("@angular/core").Signal<ElementRef<any> | undefined>;
    cdr: ChangeDetectorRef;
    workShiftDndService: WorkShiftDndService;
    dndService: DndService;
    mls: MultiLanguageService;
    lang: string;
    code: string | undefined;
    name: string | undefined;
    hoursStart: Date | undefined;
    hoursStop: Date | undefined;
    breaksFrom: Date | undefined;
    breaksTo: Date | undefined;
    symbolCode: string | undefined;
    symbolName: string | undefined;
    isOff: boolean | undefined;
    isHolidayCal: boolean | undefined;
    isHaveSal: boolean | undefined;
    isInsArising: boolean | undefined;
    duration: number | undefined;
    breakDuration: number | undefined;
    deleted: boolean | undefined;
    added: boolean | undefined;
    writeValue(obj: IAtShift | null): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreShiftCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreShiftCardComponent, "core-shift-card", never, {}, {}, never, never, true, never>;
}
