import { BaseEditComponent } from '../../../libraries/base-edit/base-edit/base-edit.component';
import { Subscription } from 'rxjs';
import { ICorePageEditCRUD } from '../../../libraries/core-page-edit/ICorePageEditCRUD';
import { ICoreFormSection } from '../../../libraries/core-form/core-form/enum-interfaces';
import { DialogService } from '../../../services/dialog.service';
import { FormGroup } from '@angular/forms';
import { AppService } from '../../../services/app.service';
import { ActivatedRoute, Router } from '@angular/router';
import { CoreWorkflowService } from '../core-workflow.service';
import * as i0 from "@angular/core";
export declare class CoreWorkflowGroupEditComponent extends BaseEditComponent {
    dialogService: DialogService;
    private coreWorkflowService;
    private appService;
    captionCode: string;
    router: Router;
    route: ActivatedRoute;
    loading: boolean;
    entityTable: string;
    subscriptions: Subscription[];
    crud: ICorePageEditCRUD;
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService, coreWorkflowService: CoreWorkflowService, appService: AppService);
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    onSubmitSuccess(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreWorkflowGroupEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreWorkflowGroupEditComponent, "lib-core-workflow-group-edit", never, { "captionCode": { "alias": "captionCode"; "required": false; }; }, {}, never, never, true, never>;
}
