import { IWorkflowSchemaTable } from '../../interfaces/IWorkflowSchema';
import { FormControl } from '@angular/forms';
import { BaseComponent } from '../../../base-component/base/base.component';
import { DbService } from '../../../../services/db.service';
import { CoreWorkflowService } from '../../core-workflow.service';
import * as i0 from "@angular/core";
export declare class AiHintForTableComponent extends BaseComponent {
    $table: import("@angular/core").InputSignal<IWorkflowSchemaTable>;
    $editing: import("@angular/core").WritableSignal<boolean>;
    hintControl: FormControl<string | null>;
    dbs: DbService;
    wfs: CoreWorkflowService;
    ngOnInit(): void;
    startEditing(): void;
    save(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AiHintForTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AiHintForTableComponent, "ai-hint-for-table", never, { "$table": { "alias": "$table"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}
