import { RoutingStepType } from "../types/RoutingStepType";
import { IPlannedActor } from "./IPlannedActor";
import { EnumActorResolvedStatus } from '../enums/EnumActorResolvedStatus';
import { IStepConfig } from "./IStepConfig";
export interface IRoutingStep {
    id: string;
    name: string;
    workflowId: string;
    type: RoutingStepType;
    resolvedActors: IPlannedActor[];
    config?: IStepConfig;
    actorResolvedStatus?: EnumActorResolvedStatus;
}
/**
    public class ResolvedStepRouting
    {
        public string Id { get; set; } = null!; //
        public required string WorkflowId { get; set; } = null!; //
        public string Name { get; set; } = null!; //
        public string Type { get; set; } = null!; //
        public string? RoutingLogic { get; set; } = null!; //
        public required string ActorResolvedStatus { get; set; } = "RESOLVED"; //
        public List<ActorResolverResult> Actors { get; set; } = []; //
    }
*/ 
