import { EnumLogicalOperator } from "../enums/EnumLogicalOperator";
import { EnumWorkflowFilterMode } from "../enums/EnumWorkflowFilterMode";
import { IStep } from "../interfaces/IStep";
export interface IRuleNodeDto {
    logicalOperator?: EnumLogicalOperator;
    ruleName?: string;
    predicateScript?: string;
    filterMode?: EnumWorkflowFilterMode;
    step?: IStep;
    children?: IRuleNodeDto[];
}
