import { EnumWorkflowStepType } from "../enums/EnumWorkflowStepType";
import { IStepConfig } from './IStepConfig';
import { IWorkflowBranch } from "./IWorkflowBranch";
export interface IStep {
    id: string;
    name: string;
    branchId: string;
    type: EnumWorkflowStepType;
    label: string;
    config?: IStepConfig;
    branches?: IWorkflowBranch[];
    isPseudo?: boolean;
    isInFallbackBranch?: boolean;
}
