import { IStepConfig } from "./IStepConfig";
import { IWorkflowStepProgressActor } from "./IWorkflowStepProgressActor";
export interface IWorkflowStepProgress {
    id: string;
    correlationId: string;
    stepName: string;
    stepType: string;
    stepOrder: number;
    exeConfigJson?: string;
    exeConfig?: IStepConfig;
    passed?: boolean;
    fallbackType?: string;
    fallbackMessage?: string;
    conditionEvaluatedAt: Date;
    stepProgressActors: IWorkflowStepProgressActor[];
}
