import { ActivatedRoute } from '@angular/router';
import { AppService } from '../../../services/app.service';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { SocketService } from '../../../services/socket.service';
import { IWorkflowInstance } from '../interfaces/IWorkflowInstance';
import { AlertService } from '../../alert/alert.service';
import * as i0 from "@angular/core";
export declare class WfInstanceStatusComponent extends BaseComponent {
    mls: MultiLanguageService;
    private ss;
    private as;
    route: ActivatedRoute;
    appService: AppService;
    $loading: import("@angular/core").WritableSignal<boolean>;
    $instance: import("@angular/core").WritableSignal<IWorkflowInstance | null>;
    $error: import("@angular/core").WritableSignal<string | null>;
    $correlationId: import("@angular/core").WritableSignal<string | null>;
    $attributesBeauty: import("@angular/core").Signal<string>;
    $isExpanded: import("@angular/core").WritableSignal<boolean>;
    refresh(): void;
    constructor(mls: MultiLanguageService, ss: SocketService, as: AlertService);
    toggleAccordion(): void;
    copy(value: string | number | undefined | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WfInstanceStatusComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfInstanceStatusComponent, "wf-instance-status", never, {}, {}, never, never, true, never>;
}
