import { CoreWorkflowService } from '../../core-workflow.service';
import { ActivatedRoute, Router } from '@angular/router';
import { BaseComponent } from '../../../base-component/base/base.component';
import { MultiLanguageService } from '../../../../services/multi-language.service';
import { AlertService } from '../../../alert/alert.service';
import { CoreFormDesignService } from '../../../core-form-design/core-form-design.service';
import { IStep } from '../../interfaces/IStep';
import * as i0 from "@angular/core";
export declare class CurrentHeaderComponent extends BaseComponent {
    mls: MultiLanguageService;
    wfs: CoreWorkflowService;
    fds: CoreFormDesignService;
    router: Router;
    route: ActivatedRoute;
    alertService: AlertService;
    $activeTab: import("@angular/core").WritableSignal<number>;
    $loading: import("@angular/core").WritableSignal<boolean>;
    steps: {
        index: number;
        label: string;
        changed: import("@angular/core").Signal<boolean>;
        onClick: () => void;
    }[];
    constructor(mls: MultiLanguageService);
    findStepMissingFallback(steps: IStep[]): IStep | undefined;
    publish(): void;
    preview(): void;
    backToList(): void;
    goToBasicInfo(): void;
    goToFormDesign(): void;
    goToProcessDesign(): void;
    goToMore(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CurrentHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CurrentHeaderComponent, "current-header", never, {}, {}, never, never, true, never>;
}
