import { CoreWorkflowService } from '../../core-workflow.service';
import { CoreRuleTreeService } from '../../../core-rule-tree/core-rule-tree.service';
import { FormGroup } from '@angular/forms';
import { ICoreRadioOption } from '../../../core-radio-group/core-radio-group/core-radio-group.component';
import { BehaviorSubject } from 'rxjs';
import { EnumWorkflowStepType } from '../../enums/EnumWorkflowStepType';
import * as i0 from "@angular/core";
export declare class RuleConfigShellComponent {
    wfs: CoreWorkflowService;
    crts: CoreRuleTreeService;
    enumType: typeof EnumWorkflowStepType;
    $stepType: import("@angular/core").Signal<EnumWorkflowStepType | undefined>;
    $fallbackType: import("@angular/core").Signal<any>;
    $fallbackMessage: import("@angular/core").Signal<any>;
    fallbackTypeOptions$: BehaviorSubject<ICoreRadioOption[]>;
    $stepFormGroup: import("@angular/core").Signal<FormGroup<any>>;
    onRuleTreeJsonChange(e: any): void;
    onFallbackTypeChanged(e: any): void;
    onFallbackMessageChanged(e: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RuleConfigShellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RuleConfigShellComponent, "rule-config-shell", never, {}, {}, never, never, true, never>;
}
