import { AfterViewInit, ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { IWorkflowInsertPoint } from '../../interfaces/IWorkflowInsertPoint';
import { IInsertStepEvent } from '../../interfaces/IInsertStepEvent';
import { CoreWorkflowService } from '../../core-workflow.service';
import { BaseComponent } from '../../../base-component/base/base.component';
import { IStep } from '../../interfaces/IStep';
import * as i0 from "@angular/core";
export declare class WfBottomVInsertComponent extends BaseComponent implements AfterViewInit {
    currentContext: IWorkflowInsertPoint;
    currentStep: IStep;
    insertStep: EventEmitter<IInsertStepEvent>;
    plusContainer: ElementRef;
    shouldShowInsert: boolean;
    coreWorkflowService: CoreWorkflowService;
    el: ElementRef<any>;
    renderer: Renderer2;
    private observer;
    ngOnInit(): void;
    onShowInsert(e: MouseEvent): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WfBottomVInsertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfBottomVInsertComponent, "wf-bottom-v-insert", never, { "currentContext": { "alias": "currentContext"; "required": true; }; "currentStep": { "alias": "currentStep"; "required": true; }; }, { "insertStep": "insertStep"; }, never, never, true, never>;
}
