import { AfterViewInit, ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { EnumWorkflowStepType } from '../../enums/EnumWorkflowStepType';
import { BaseComponent } from '../../../base-component/base/base.component';
import { MultiLanguageService } from '../../../../services/multi-language.service';
import { CoreWorkflowService } from '../../core-workflow.service';
import { DomService } from '../../../services/dom.service';
import * as i0 from "@angular/core";
export declare class WfInsertMenuComponent extends BaseComponent implements AfterViewInit {
    mls: MultiLanguageService;
    private renderer;
    private domService;
    insert: EventEmitter<{
        type: EnumWorkflowStepType;
        index: number;
        branchId: string;
    }>;
    container: ElementRef;
    coreWorkflowService: CoreWorkflowService;
    elRef: ElementRef<any>;
    listenerFn: () => void;
    enumType: typeof EnumWorkflowStepType;
    constructor(mls: MultiLanguageService, renderer: Renderer2, domService: DomService);
    onInsert(type: EnumWorkflowStepType): void;
    ngAfterViewInit(): void;
    onCancelClicked(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WfInsertMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfInsertMenuComponent, "wf-insert-menu", never, {}, { "insert": "insert"; }, never, never, true, never>;
}
