import { ElementRef, Renderer2, ChangeDetectorRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { CoreWorkflowService } from '../../core-workflow.service';
import { EnumWorkflowStepType } from '../../enums/EnumWorkflowStepType';
import { DomService } from '../../../services/dom.service';
import { CoreRuleTreeService } from '../../../core-rule-tree/core-rule-tree.service';
import * as i0 from "@angular/core";
export declare class WfStepConfigShellComponent {
    wfs: CoreWorkflowService;
    private domService;
    $container: import("@angular/core").Signal<ElementRef<any> | undefined>;
    renderer: Renderer2;
    cdr: ChangeDetectorRef;
    crts: CoreRuleTreeService;
    enumType: typeof EnumWorkflowStepType;
    constructor(wfs: CoreWorkflowService, domService: DomService);
    $stepFormGroup: import("@angular/core").Signal<FormGroup<any>>;
    $isBranchCard: import("@angular/core").Signal<boolean>;
    $canRenderRuleTree: import("@angular/core").Signal<boolean>;
    close(): void;
    onRuleTreeJsonChange(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WfStepConfigShellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfStepConfigShellComponent, "wf-step-config-shell", never, {}, {}, never, never, true, never>;
}
