import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { CoreDatetimeService, IDecadeYearsObject } from '../../services/core-datetime.service';
import * as i0 from "@angular/core";
export declare class CoreYearPickerComponent implements OnInit {
    private coreDatetimeService;
    id: string;
    default: number;
    onChange: EventEmitter<number>;
    yearsContainer: ElementRef;
    year$: BehaviorSubject<number>;
    decadeYearsObject: IDecadeYearsObject;
    constructor(coreDatetimeService: CoreDatetimeService);
    ngOnInit(): void;
    onClick(e: number): void;
    triggerReflow(): void;
    goUp(): void;
    goDown(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreYearPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreYearPickerComponent, "core-year-picker", never, { "id": { "alias": "id"; "required": false; }; "default": { "alias": "default"; "required": false; }; }, { "onChange": "onChange"; }, never, never, true, never>;
}
