import { ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2, AfterViewInit } from '@angular/core';
import { CoreDatetimeService } from '../services/core-datetime.service';
import { Subscription } from 'rxjs';
import { CoreFormControlBaseComponent } from '../core-form-control-base/core-form-control-base.component';
import { DomService } from '../services/dom.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CoreYearSelectorComponent extends CoreFormControlBaseComponent implements OnInit, OnDestroy, AfterViewInit {
    private coreDatetimeService;
    private mls;
    private readonly renderer;
    private readonly domService;
    align: string;
    onYearClick: EventEmitter<number>;
    container: ElementRef;
    monthsContainer: ElementRef;
    value: number | undefined;
    lang: string;
    listenerFn: () => void;
    openState: boolean;
    subscriptions: Subscription[];
    constructor(coreDatetimeService: CoreDatetimeService, mls: MultiLanguageService, renderer: Renderer2, domService: DomService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onClick(rowIndex: number, subMonthIndex: number): void;
    triggerReflow(): void;
    toggleOpen(): void;
    clear(): void;
    goThisYear(): void;
    ngOnDestroy(): void;
    goUp(): void;
    goDown(): void;
    onYearChange(e: number): void;
    onNgModelChange(e: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreYearSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreYearSelectorComponent, "core-year-selector", never, { "align": { "alias": "align"; "required": false; }; }, { "onYearClick": "onYearClick"; }, never, never, true, never>;
}
