import { AfterViewInit, ElementRef, WritableSignal } from '@angular/core';
import { EnumCoreD3ScaleType } from '../EnumCoreD3ScaleType';
import { CoreD3Service } from '../core-d3.service';
import * as i0 from "@angular/core";
export declare class CoreScatterPlotComponent implements AfterViewInit {
    $data: import("@angular/core").InputSignal<any[]>;
    $xField: import("@angular/core").InputSignal<string>;
    $yField: import("@angular/core").InputSignal<string>;
    $scale: import("@angular/core").InputSignal<EnumCoreD3ScaleType>;
    $width: import("@angular/core").InputSignal<number>;
    $height: import("@angular/core").InputSignal<number>;
    $container: import("@angular/core").Signal<ElementRef<any> | undefined>;
    svg: any;
    $margin: WritableSignal<number>;
    $plotWidth: import("@angular/core").Signal<number>;
    $plotHeight: import("@angular/core").Signal<number>;
    $sortedData: import("@angular/core").Signal<any>;
    $firstXElement: import("@angular/core").Signal<any>;
    $lastXElement: import("@angular/core").Signal<any>;
    $minYElement: import("@angular/core").Signal<number>;
    $maxYElement: import("@angular/core").Signal<number>;
    coreD3Service: CoreD3Service;
    private createSvg;
    private drawPlot;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreScatterPlotComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreScatterPlotComponent, "core-scatter-plot", never, { "$data": { "alias": "$data"; "required": true; "isSignal": true; }; "$xField": { "alias": "$xField"; "required": true; "isSignal": true; }; "$yField": { "alias": "$yField"; "required": true; "isSignal": true; }; "$scale": { "alias": "$scale"; "required": true; "isSignal": true; }; "$width": { "alias": "$width"; "required": true; "isSignal": true; }; "$height": { "alias": "$height"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}
