import { BaseComponent } from '../base-component/base/base.component';
import { BehaviorSubject } from 'rxjs';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../core-page-list/core-page-list.component';
import { EnumTranslateKey } from "alpha-global-constants";
import { IFilterOperator, IInOperator } from '../../interfaces/IQueryListRequest';
import { MultiLanguageService } from '../../services/multi-language.service';
import { ICoreTableColumnItem } from '../core-table/ICoreTableColumnItem';
import * as i0 from "@angular/core";
export declare class HuconcurrentlyComponent extends BaseComponent {
    mls: MultiLanguageService;
    orgIds: number[];
    outerParam$: BehaviorSubject<any>;
    outerFilter$: BehaviorSubject<IFilterOperator[] | undefined>;
    apiDefinition: ICorePageListApiDefinition;
    title: EnumTranslateKey;
    crud: ICorePageListCRUD;
    editRoute: ICorePageListEditRouting;
    outerFilterOperators: IFilterOperator[];
    outerInOperators: IInOperator[];
    constructor(mls: MultiLanguageService);
    onOrgIdsChange(orgIds: number[]): void;
    columns: ICoreTableColumnItem[];
    static ɵfac: i0.ɵɵFactoryDeclaration<HuconcurrentlyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HuconcurrentlyComponent, "lib-huconcurrently", never, { "outerFilter$": { "alias": "outerFilter$"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; }, {}, never, never, true, never>;
}
