import { AfterViewInit, TemplateRef } from '@angular/core';
import { BaseComponent } from '../base-component/base/base.component';
import { BehaviorSubject } from 'rxjs';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../core-page-list/core-page-list.component';
import { EnumTranslateKey } from 'alpha-global-constants';
import { ICoreTableColumnItem } from '../core-table/ICoreTableColumnItem';
import { IFilterOperator } from '../../interfaces/IQueryListRequest';
import * as i0 from "@angular/core";
export declare class JobComponent extends BaseComponent implements AfterViewInit {
    hideHeader: boolean;
    height: number;
    outerParam$: BehaviorSubject<any>;
    outerFilter$: BehaviorSubject<IFilterOperator[] | undefined>;
    columns: ICoreTableColumnItem[];
    title: EnumTranslateKey;
    sticker: TemplateRef<any>;
    orgId: number;
    selectedIds: number[];
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    editRoute: ICorePageListEditRouting;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<JobComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<JobComponent, "core-job", never, { "hideHeader": { "alias": "hideHeader"; "required": false; }; "height": { "alias": "height"; "required": false; }; "outerParam$": { "alias": "outerParam$"; "required": false; }; "outerFilter$": { "alias": "outerFilter$"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; }, {}, never, never, true, never>;
}
