import { ElementRef, EventEmitter, QueryList, Renderer2, OnInit, AfterViewInit } from '@angular/core';
import { OtpInputService } from './otp-input.service';
import { BehaviorSubject } from 'rxjs';
import { BaseComponent } from '../base-component/base/base.component';
import * as i0 from "@angular/core";
export declare class OtpInputComponent extends BaseComponent implements OnInit, AfterViewInit {
    resetOtpFlag$: BehaviorSubject<boolean>;
    container: ElementRef<any>;
    otpCompleted: EventEmitter<string>;
    otp: string[];
    title: string;
    renderer: Renderer2;
    otpInputService: OtpInputService;
    inputs: QueryList<ElementRef>;
    wrongOtpMessage: string;
    hideError: boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onInputChange(index: number, event: any): void;
    onBackspace(index: number, event: any): void;
    emitOtp(): void;
    killSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OtpInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OtpInputComponent, "otp-input", never, { "resetOtpFlag$": { "alias": "resetOtpFlag$"; "required": true; }; }, { "otpCompleted": "otpCompleted"; }, never, never, true, never>;
}
