import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export interface ILongTaskServiceData {
    outerMessage: string;
    outerPercent: string;
    innerMessage: string;
    innerPercent: string;
}
export declare class LongTaskService {
    message$: BehaviorSubject<string>;
    data$: BehaviorSubject<ILongTaskServiceData | null>;
    error$: BehaviorSubject<boolean>;
    longApiRunning$: BehaviorSubject<boolean>;
    hideProgressBar$: BehaviorSubject<boolean>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<LongTaskService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LongTaskService>;
}
