import { ElementRef, ApplicationRef, ComponentFactoryResolver, Injector, ChangeDetectorRef } from '@angular/core';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class TooltipDirective {
    private elementRef;
    private appRef;
    private componentFactoryResolver;
    private injector;
    private router;
    private cdr;
    private componentRef;
    constructor(elementRef: ElementRef, appRef: ApplicationRef, componentFactoryResolver: ComponentFactoryResolver, injector: Injector, router: Router, cdr: ChangeDetectorRef);
    color: string | undefined;
    backgroundColor: string | undefined;
    appTooltip: string | undefined;
    showAnyway: boolean;
    position: string;
    onMouseEnter(e: any): void;
    onMouseLeave(): void;
    onClick(): void;
    ngOnDestroy(): void;
    destroy(): void;
    private setTooltipComponentProperties;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TooltipDirective, "[appTooltip]", never, { "color": { "alias": "color"; "required": false; }; "backgroundColor": { "alias": "backgroundColor"; "required": false; }; "appTooltip": { "alias": "appTooltip"; "required": false; }; "showAnyway": { "alias": "showAnyway"; "required": false; }; "position": { "alias": "position"; "required": false; }; }, {}, never, never, true, never>;
}
