import { OnDestroy, OnInit } from '@angular/core';
import { UserActivityService } from '../../services/user-activity.service';
import { BaseComponent } from '../base-component/base/base.component';
import { MultiLanguageService } from '../../services/multi-language.service';
import { RandomAvatarService } from '../../services/random-avatar.service';
import * as i0 from "@angular/core";
export declare class UserActivityComponent extends BaseComponent implements OnInit, OnDestroy {
    mls: MultiLanguageService;
    private userActivityService;
    private randomAvatarService;
    isOpen: boolean;
    width: number;
    height: number;
    chatMembers: any[];
    reloadFlag: boolean;
    userActivity: any[];
    timerId?: any;
    menuClass: string;
    activeSidebarClass?: string;
    randomAvatarSrc?: string;
    activeChatName?: string;
    constructor(mls: MultiLanguageService, userActivityService: UserActivityService, randomAvatarService: RandomAvatarService);
    ngOnInit(): void;
    updateDimensions: () => void;
    statusClass(time1: number, time2: number): string;
    toggleOpen(e?: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserActivityComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserActivityComponent, "user-activity", never, {}, {}, never, never, true, never>;
}
