import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { BaseComponent } from '../../libraries/base-component/base/base.component';
import { AuthService } from '../../services/auth.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { UserActivityService } from '../../services/user-activity.service';
import { DomService } from '../../libraries/services/dom.service';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
interface IChatMember {
    sid: string;
    avatar: string;
    name: string;
    status: string;
    notRed?: boolean;
    menuClass?: string;
    hubConnectionId: string;
}
export declare class OnlineUsersComponent extends BaseComponent implements OnInit, AfterViewInit {
    mls: MultiLanguageService;
    private userActivityService;
    private authService;
    private domService;
    private router;
    isOpen: boolean;
    chatMembers: IChatMember[];
    chat: any[];
    reloadFlag: boolean;
    container: ElementRef;
    menuClass: string;
    intervalId: any;
    constructor(mls: MultiLanguageService, userActivityService: UserActivityService, authService: AuthService, domService: DomService, router: Router);
    private refreshList;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    statusClass(time1: number, time2: number): string;
    toggleOpen(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OnlineUsersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OnlineUsersComponent, "app-online-users", never, {}, {}, never, never, true, never>;
}
export {};
