import { AfterViewInit, EventEmitter } from '@angular/core';
import { AtShiftPatternService } from '../at-shift-pattern.service';
import { BehaviorSubject } from 'rxjs';
import { IAtShiftPattern, IAtShiftPerDay } from '../../../interfaces/time-management/IAtShiftPattern';
import { BaseComponent } from '../../../libraries/base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { WorkShiftDndService } from '../../../services/work-shift-dnd.service';
import { AlertService } from '../../../libraries/alert/alert.service';
import * as i0 from "@angular/core";
export declare class AtShiftPatternDetailComponent extends BaseComponent implements AfterViewInit {
    mls: MultiLanguageService;
    workShiftDndService: WorkShiftDndService;
    private alertService;
    data$: BehaviorSubject<IAtShiftPattern | undefined>;
    onCellChange: EventEmitter<any>;
    atShiftPatternService: AtShiftPatternService;
    shiftCollectionHeight$: BehaviorSubject<number>;
    rounds: IAtShiftPerDay[][];
    constructor(mls: MultiLanguageService, workShiftDndService: WorkShiftDndService, alertService: AlertService);
    ngAfterViewInit(): void;
    onDayInsert(e: any, dayNumber: number): void;
    onDayRemove(e: any, dayNumber: number): void;
    onCellChangeLocal(dayNumber: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AtShiftPatternDetailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AtShiftPatternDetailComponent, "core-at-shift-pattern-detail", never, { "data$": { "alias": "data$"; "required": false; }; }, { "onCellChange": "onCellChange"; }, never, never, true, never>;
}
