import { BehaviorSubject, Observable } from 'rxjs';
import { IAtShiftPattern } from '../../interfaces/time-management/IAtShiftPattern';
import { AppService } from '../../services/app.service';
import * as i0 from "@angular/core";
export declare class AtShiftPatternService {
    private appService;
    activePattern$: BehaviorSubject<IAtShiftPattern | undefined>;
    constructor(appService: AppService);
    loadItem(id: number): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AtShiftPatternService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AtShiftPatternService>;
}
