import { OnInit, OnDestroy, TemplateRef } from '@angular/core';
import { BaseComponent } from '../../libraries/base-component/base/base.component';
import { EnumTranslateKey } from "alpha-global-constants";
import { ISortItem } from '../../interfaces/IQueryListRequest';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../../libraries/core-page-list/core-page-list.component';
import { ICoreTableColumnItem } from '../../libraries/core-table/ICoreTableColumnItem';
import * as i0 from "@angular/core";
export declare class FunctionComponent extends BaseComponent implements OnInit, OnDestroy {
    title: EnumTranslateKey;
    apiDefinition: ICorePageListApiDefinition;
    pathFullMatch: TemplateRef<any>;
    isWebapp: TemplateRef<any>;
    isPortal: TemplateRef<any>;
    status: TemplateRef<any>;
    crud: ICorePageListCRUD;
    columns: ICoreTableColumnItem[];
    defaultSort: ISortItem[];
    editRoute: ICorePageListEditRouting;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FunctionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FunctionComponent, "app-function", never, {}, {}, never, never, true, never>;
}
