import { AfterViewInit, OnInit } from '@angular/core';
import { BaseComponent } from '../../../libraries/base-component/base/base.component';
import { EnumTranslateKey } from "alpha-global-constants";
import { ICoreTableColumnItem } from '../../../libraries/core-table/ICoreTableColumnItem';
import { LayoutService } from '../../../services/layout.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { RoutingService } from '../../../services/routing.service';
import { ISearchItem } from '../../../interfaces/IQueryListRequest';
import * as i0 from "@angular/core";
export declare class InMemoryComponent extends BaseComponent implements OnInit, AfterViewInit {
    layoutService: LayoutService;
    mls: MultiLanguageService;
    private routingService;
    title: EnumTranslateKey;
    tabHeaders: string[];
    tabsHeight: number;
    tab1Columns: ICoreTableColumnItem[];
    tab1Data: any[];
    tab1FilteredData: any[];
    tableHeight: number;
    constructor(layoutService: LayoutService, mls: MultiLanguageService, routingService: RoutingService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onTab1Searching(e: ISearchItem[]): void;
    onTab1ColumnCaptionClick(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InMemoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InMemoryComponent, "app-in-memory", never, {}, {}, never, never, true, never>;
}
