import { OnInit, OnDestroy, AfterViewInit, TemplateRef } from '@angular/core';
import { EnumTranslateKey } from "alpha-global-constants";
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../../../libraries/core-page-list/core-page-list.component';
import { ICoreTableColumnItem } from '../../../libraries/core-table/ICoreTableColumnItem';
import * as i0 from "@angular/core";
export declare class LanguageComponent implements OnInit, AfterViewInit, OnDestroy {
    backendSide: TemplateRef<any>;
    title: EnumTranslateKey;
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    columns: ICoreTableColumnItem[];
    editRoute: ICorePageListEditRouting;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LanguageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LanguageComponent, "app-language", never, {}, {}, never, never, true, never>;
}
