import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Subscription } from 'rxjs';
import { EnumTranslateKey } from "alpha-global-constants";
import { BaseEditComponent } from '../../../libraries/base-edit/base-edit/base-edit.component';
import { ICoreFormSection } from '../../../libraries/core-form/core-form/enum-interfaces';
import { ICorePageEditCRUD } from '../../../libraries/core-page-edit/ICorePageEditCRUD';
import { DialogService } from '../../../services/dialog.service';
import * as i0 from "@angular/core";
export declare class MutationViewComponent extends BaseEditComponent implements OnInit {
    dialogService: DialogService;
    loading: boolean;
    entityTable: string;
    captionCode: EnumTranslateKey;
    subsctiptions: Subscription[];
    crud: ICorePageEditCRUD;
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService);
    ngOnInit(): void;
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MutationViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MutationViewComponent, "lib-mutation-view", never, {}, {}, never, never, true, never>;
}
