import { OnInit, TemplateRef } from '@angular/core';
import { EnumTranslateKey } from "alpha-global-constants";
import { BaseComponent } from '../../../libraries/base-component/base/base.component';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../../../libraries/core-page-list/core-page-list.component';
import { ICoreTableColumnItem } from '../../../libraries/core-table/ICoreTableColumnItem';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class SysFunctionActionComponent extends BaseComponent implements OnInit {
    mls: MultiLanguageService;
    title: EnumTranslateKey;
    apiDefinition: ICorePageListApiDefinition;
    avatarTemplate: TemplateRef<any>;
    crud: ICorePageListCRUD;
    columns: ICoreTableColumnItem[];
    editRoute: ICorePageListEditRouting;
    constructor(mls: MultiLanguageService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SysFunctionActionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SysFunctionActionComponent, "app-sys-function-action", never, {}, {}, never, never, true, never>;
}
