import { AfterViewInit, OnInit, TemplateRef } from '@angular/core';
import { EnumTranslateKey } from "alpha-global-constants";
import { BaseComponent } from '../../../libraries/base-component/base/base.component';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../../../libraries/core-page-list/core-page-list.component';
import { ICoreTableColumnItem } from '../../../libraries/core-table/ICoreTableColumnItem';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class SysModuleComponent extends BaseComponent implements OnInit, AfterViewInit {
    mls: MultiLanguageService;
    isActive: TemplateRef<any>;
    title: EnumTranslateKey;
    apiDefinition: ICorePageListApiDefinition;
    avatarTemplate: TemplateRef<any>;
    crud: ICorePageListCRUD;
    columns: ICoreTableColumnItem[];
    editRoute: ICorePageListEditRouting;
    constructor(mls: MultiLanguageService);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SysModuleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SysModuleComponent, "app-sys-module", never, {}, {}, never, never, true, never>;
}
