import { BaseEditComponent } from '../../../libraries/base-edit/base-edit/base-edit.component';
import { ICoreChecklistOption } from '../../../libraries/core-checklist/core-checklist/core-checklist.component';
import { ICoreDropdownOption } from '../../../interfaces/ICoreDropdownOption';
import { BehaviorSubject } from 'rxjs';
import { EnumTranslateKey } from 'alpha-global-constants';
import { ICorePageEditCRUD } from '../../../libraries/core-page-edit/ICorePageEditCRUD';
import { ICoreFormSection } from '../../../libraries/core-form/core-form/enum-interfaces';
import { FormGroup } from '@angular/forms';
import { DialogService } from '../../../services/dialog.service';
import * as i0 from "@angular/core";
export declare class SysOtherListTypeEditComponent extends BaseEditComponent {
    dialogService: DialogService;
    loading: boolean;
    entityTable: string;
    checklistOptions$: BehaviorSubject<ICoreChecklistOption[]>;
    scaleOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    captionCode: EnumTranslateKey;
    crud: ICorePageEditCRUD;
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService);
    ngOnInit(): void;
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SysOtherListTypeEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SysOtherListTypeEditComponent, "core-sys-other-list-type-edit", never, {}, {}, never, never, true, never>;
}
