import { AfterViewInit, TemplateRef } from '@angular/core';
import { EnumTranslateKey } from 'alpha-global-constants';
import { BehaviorSubject } from 'rxjs';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../../libraries/core-page-list/core-page-list.component';
import { ICoreTableColumnItem } from '../../libraries/core-table/ICoreTableColumnItem';
import * as i0 from "@angular/core";
export declare class SysOtherListTypeComponent implements AfterViewInit {
    sticker: TemplateRef<any>;
    hideHeader: boolean;
    title: EnumTranslateKey;
    outerParam$: BehaviorSubject<any>;
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    columns: ICoreTableColumnItem[];
    defaultAvatar: string;
    editRoute: ICorePageListEditRouting;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SysOtherListTypeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SysOtherListTypeComponent, "core-sys-other-list-type", never, { "hideHeader": { "alias": "hideHeader"; "required": false; }; }, {}, never, never, true, never>;
}
