import { IOffice365Pkce } from './pkce.service';
import * as i0 from "@angular/core";
export declare class AppConfigService {
    APP_TYPE: string;
    APP_UIID: string;
    ALLOW_IN_APP_NOTIFICATION: boolean;
    SHOW_LOGIN_NOTIFICATION: boolean;
    USE_BUILTIN_OTP: boolean;
    USE_CAPTCHA: boolean;
    BASE_URL: string;
    BASE_URL_FOR_STATISTIC: string;
    BASE_URL_FOR_CONTENT: string;
    GOLIVE_URL: string;
    DEBUG_ENABLED: boolean;
    USE_DEMO_AVATAR: boolean;
    IGNORE_PARTIAL_URL_MATCH_FOR_FUNCTION: boolean;
    IGNORE_PARTIAL_URL_MATCH_FOR_PROFILE_CENTER: boolean;
    LOGO_LOGIN: string;
    LOGO_HEADER: string;
    HOME_BACKGROUND_IMAGE: string;
    OAUTH2_OIDC_ENABLED: boolean;
    OAUTH2_OIDC_CLIENT_ID: string;
    OAUTH2_OIDC_LOGIN_URI: string;
    OAUTH2_OIDC_REDIRECT_URI: string;
    OAUTH2_OIDC_SCOPE: string;
    OFFICE365_DEV: IOffice365Pkce | undefined;
    OFFICE365_PROD: IOffice365Pkce | undefined;
    SAML2ADFS_ENABLED: boolean;
    SAML2ADFS_IDP: string;
    SAML2ADFS_IDENTIFIER: string;
    SAML2ADFS_WA_SIGNIN: string;
    SAML2ADFS_WA_SIGNOUT: string;
    SAML2ADFS_WREPLY: string;
    HANGFIRE_PATH: string;
    STATIC_FOLDER: string;
    AVATAR_FOLDER: string;
    APP_DEMO_FOLDER: string;
    ATTACHMENT_FOLDER: string;
    NEWSFEED_FOLDER: string;
    WORKFLOW_ENABLE_DEBUG_MODE: boolean;
    WORKFLOW_CALCULATED_FIELD_DEPENDS_ON_REQUIRED_FIELDS: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AppConfigService>;
}
