import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CommonHttpRequestService {
    private http;
    constructor(http: HttpClient);
    makePostRequest(name: string, relativeApiEndPoint: string, payload: any, signal?: AbortSignal | null): Observable<any>;
    makeGetRequest(name: string, relativeApiEndPoint: string, cacheRequest?: boolean, signal?: AbortSignal | null): Observable<any>;
    downloadFile(apiUrl: string, id: string): Observable<any>;
    makePostRequestReponseBlob(name: string, relativeApiEndPoint: string, payload: any): Observable<any>;
    makePostRequestFullUrl(relativeApiEndPoint: string, payload: any): Observable<any>;
    makeGetRequestFullUrl(relativeApiEndPoint: string): Observable<any>;
    makeGetRequestSkipInterceptor(name: string, relativeApiEndPoint: string, cacheRequest?: boolean): Observable<any>;
    makePostRequestSkipInterceptor(name: string, relativeApiEndPoint: string, payload: any): Observable<any>;
    makePostRequestReponseBlobSkipInterceptor(name: string, relativeApiEndPoint: string, payload: any): Observable<any>;
    makeStatisticPostRequest(name: string, relativeApiEndPoint: string, payload: any): Observable<any>;
    makeStatisticGetRequest(name: string, relativeApiEndPoint: string, cacheRequest?: boolean): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommonHttpRequestService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CommonHttpRequestService>;
}
