import { EnumTranslateKey } from 'alpha-global-constants';
import { AlertService } from '../libraries/alert/alert.service';
import { ICoreTableColumnItem } from '../libraries/core-table/ICoreTableColumnItem';
import * as i0 from "@angular/core";
export interface IHeaderGroupItem {
    key: EnumTranslateKey;
    width: number;
}
export interface ICoreColumnsHeaderGroupTransformed {
    columns: any[];
    headerGroups: IHeaderGroupItem[] | undefined;
}
export declare class CoreTableService {
    alertService: AlertService;
    constructor();
    transformWithHeaderGroup(input: any[]): ICoreColumnsHeaderGroupTransformed;
    makeSeekerColumns(input: ICoreTableColumnItem[], useTheseColumns?: string[], excludedColumns?: string[]): ICoreTableColumnItem[];
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreTableService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreTableService>;
}
