import { AppService } from './app.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface IGetWorkflowSchemaRequest {
    searchTerm?: string;
}
export declare class DbService {
    appService: AppService;
    constructor();
    syncAndGetWorkflowSchemaMetadata(request: IGetWorkflowSchemaRequest): Observable<any>;
    updateTableHint(table: string, hint: string): Observable<any>;
    updateColumnHint(table: string, column: string, hint: string): Observable<any>;
    updateColumnStatus(table: string, activeColumns: string[]): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DbService>;
}
