import { CommonHttpRequestService } from './common-http-request.service';
import { BehaviorSubject, Observable } from 'rxjs';
import { ISysLanguage } from '../interfaces/entitiesCamelCase/ISysLanguage';
import * as i0 from "@angular/core";
export declare class MultiLanguageService {
    private commonHttpRequestService;
    lang$: BehaviorSubject<string>;
    data$: BehaviorSubject<ISysLanguage[]>;
    constructor(commonHttpRequestService: CommonHttpRequestService);
    readAll(): Observable<any>;
    readAllMini(): Observable<any>;
    trans(key: string, lang?: string): string;
    covertOneBasedDayNumberToDayOfWeekCode(dayNumber: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiLanguageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MultiLanguageService>;
}
