import { ElementRef } from '@angular/core';
import { RandomAvatarService } from '../services/random-avatar.service';
import { AppConfigService } from '../services/app-config.service';
import * as i0 from "@angular/core";
export declare enum EnumImageResolverType {
    AVATAR = "AVATAR",
    LOGO = "LOGO",
    OTHERS = "OTHERS"
}
export declare class ImageErrorResolverDirective {
    private el;
    type: EnumImageResolverType | string;
    isFemale: boolean;
    ras: RandomAvatarService;
    appConfigService: AppConfigService;
    constructor(el: ElementRef<HTMLImageElement>);
    private handleError;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageErrorResolverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ImageErrorResolverDirective, "[appImageErrorResolver]", never, { "type": { "alias": "type"; "required": false; }; "isFemale": { "alias": "isFemale"; "required": false; }; }, {}, never, never, true, never>;
}
