import { ActivatedRouteSnapshot, CanActivate, RouterStateSnapshot, UrlTree } from '@angular/router';
import { Observable } from 'rxjs';
import { DialogService } from '../services/dialog.service';
import { NavigatorService } from '../services/navigator.service';
import { AuthService } from '../services/auth.service';
import * as i0 from "@angular/core";
export declare class CanActivateFunctionUrlMapperGuard implements CanActivate {
    private authService;
    private dialogService;
    private navigatorService;
    constructor(authService: AuthService, dialogService: DialogService, navigatorService: NavigatorService);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean | UrlTree> | Promise<boolean | UrlTree> | boolean | UrlTree;
    static ɵfac: i0.ɵɵFactoryDeclaration<CanActivateFunctionUrlMapperGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CanActivateFunctionUrlMapperGuard>;
}
