import { HttpInterceptor, HttpHandler, HttpRequest, HttpHandlerFn, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AppConfigService } from '../services/app-config.service';
import * as i0 from "@angular/core";
export declare class AppTypeInterceptor implements HttpInterceptor {
    private appConfigService;
    constructor(appConfigService: AppConfigService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppTypeInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AppTypeInterceptor>;
}
export declare function appTypeInterceptor(req: HttpRequest<any>, next: HttpHandlerFn): Observable<HttpEvent<unknown>>;
