import { HttpEvent, HttpHandler, HttpHandlerFn, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CacheService } from '../services/cache-service';
import * as i0 from "@angular/core";
export declare class CachingInterceptor implements HttpInterceptor {
    private cacheService;
    constructor(cacheService: CacheService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CachingInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CachingInterceptor>;
}
export declare function cachingInterceptor(req: HttpRequest<any>, next: HttpHandlerFn): Observable<HttpEvent<unknown>>;
