import { HttpInterceptor, HttpHandler, HttpRequest, HttpHandlerFn, HttpEvent } from '@angular/common/http';
import { PkceService } from '../services/pkce.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class GraphInterceptor implements HttpInterceptor {
    private pkceService;
    constructor(pkceService: PkceService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GraphInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GraphInterceptor>;
}
export declare function graphInterceptor(req: HttpRequest<any>, next: HttpHandlerFn): Observable<HttpEvent<unknown>>;
