import { BehaviorSubject } from 'rxjs';
import { IAlert, IAlertOptions } from './alert/alert.model';
import * as i0 from "@angular/core";
export declare class AlertService {
    alerts$: BehaviorSubject<IAlert[]>;
    success(message: string, options?: IAlertOptions): void;
    error(message: string, options?: IAlertOptions): void;
    info(message: string, options?: IAlertOptions): void;
    warn(message: string, options?: IAlertOptions): void;
    alert(alert: IAlert): void;
    clear(id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AlertService>;
}
