import { OnInit, AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { AnimatedTextService } from '../animated-text.service';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
interface ILetterItem {
    letter: string;
    pos: number;
    index: number;
}
export declare class AnimatedTextComponent implements OnInit, AfterViewInit, OnDestroy {
    private animatedTextService;
    letters: ElementRef;
    subscriptions: Subscription[];
    data: ILetterItem[];
    allowLoop: boolean;
    LETTER_WIDTH: number;
    WIDTH: number;
    HEIGHT: number;
    svg: any;
    constructor(animatedTextService: AnimatedTextService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    update(data: ILetterItem[]): void;
    loop(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AnimatedTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AnimatedTextComponent, "app-animated-text", never, {}, {}, never, never, true, never>;
}
export {};
