import { OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare abstract class BaseComponent implements OnInit, OnDestroy {
    mls: MultiLanguageService;
    lang: string;
    subscriptions: Subscription[];
    constructor(mls: MultiLanguageService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaseComponent, never, never, {}, {}, never, never, true, never>;
}
