import { ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { DomService } from '../../services/dom.service';
import { Subscription } from 'rxjs';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class BaseDropdownComponent implements OnInit, OnDestroy {
    mls: MultiLanguageService;
    renderer: Renderer2;
    domService: DomService;
    container: ElementRef;
    height: number;
    lang: string;
    subscriptions: Subscription[];
    listenerFn: () => void;
    expandState: boolean;
    constructor(mls: MultiLanguageService, renderer: Renderer2, domService: DomService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseDropdownComponent, "app-base-dropdown", never, {}, {}, never, never, true, never>;
}
