import { EnumCoreButtonVNSCode } from './core-button-group-vns/EnumCoreButtonVNSCode';
import { BehaviorSubject } from 'rxjs';
import { ICoreButtonDropdownOption } from './core-button-group-vns/ICoreButtonVNS';
import * as i0 from "@angular/core";
export interface ICoreButtonGroupStatus {
    instanceNumber: number;
    mustBeHidden$: BehaviorSubject<(EnumCoreButtonVNSCode | string)[]>;
}
export declare class CoreButtonGroupService {
    instances: ICoreButtonGroupStatus[];
    headerButtonPrintDropdownOptions$: BehaviorSubject<ICoreButtonDropdownOption[]>;
    headerButtonSetWorkScheduleDropdownOptions$: BehaviorSubject<ICoreButtonDropdownOption[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreButtonGroupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreButtonGroupService>;
}
