import { EnumIconClass } from "../../../enum/EnumIconClass";
import { EnumCoreButtonVNSCode } from "./EnumCoreButtonVNSCode";
import { EnumStyleButtonClass } from "../../../enum/EnumStyleButtonClass";
export interface ICoreButtonVNS {
    id?: number;
    code: EnumCoreButtonVNSCode | string;
    caption: string;
    childCodeClicked?: string;
    iconSvg?: string;
    iconClass?: EnumIconClass;
    iconBase64?: string;
    withDivider?: boolean;
    disabled?: boolean;
    sysFunction?: number;
    showCaption?: boolean;
    styleClass?: EnumStyleButtonClass | string;
    hidden?: boolean;
    isHeader?: boolean;
    isChild?: boolean;
    isActive?: boolean;
    isDropdown?: boolean;
    dropdownOptions?: ICoreButtonDropdownOption[];
    childrenCodes?: string;
    dropdownAlign?: string;
}
export interface ICoreButtonDropdownOption {
    childCode: string;
    childIconWrapperClass: string;
    childIconClass: string;
    childCaptionCode: string;
}
