import { EventEmitter, OnInit } from '@angular/core';
import { ICoreButton } from './ICoreButton';
import { Subscription } from 'rxjs';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CoreButtonComponent implements OnInit {
    private mls;
    data: ICoreButton;
    showCaption: boolean;
    buttonClick: EventEmitter<ICoreButton>;
    lang: string;
    subscriptions: Subscription[];
    constructor(mls: MultiLanguageService);
    ngOnInit(): void;
    onButtonClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreButtonComponent, "app-core-button", never, { "data": { "alias": "data"; "required": false; }; "showCaption": { "alias": "showCaption"; "required": false; }; }, { "buttonClick": "buttonClick"; }, never, never, true, never>;
}
