import { AfterViewInit, ElementRef, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { CoreCompositionState } from '../core-composition-state';
import { BaseComponent } from '../../base-component/base/base.component';
import { BehaviorSubject } from 'rxjs';
import { CoreCompositionService } from '../core-composition.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CoreCompositionComponent extends BaseComponent implements OnInit, AfterViewInit, OnDestroy {
    mls: MultiLanguageService;
    private coreCompositionState;
    private coreCompositionService;
    coreCompositionInstanceNumber: number;
    top: TemplateRef<any>;
    left: TemplateRef<any> | undefined;
    leftWidth: number;
    main: TemplateRef<any>;
    height: number;
    defaultResizeOff: boolean;
    container: ElementRef;
    topRef: ElementRef;
    leftRef: ElementRef;
    mainRef: ElementRef;
    reduced$: BehaviorSubject<boolean>;
    constructor(mls: MultiLanguageService, coreCompositionState: CoreCompositionState, coreCompositionService: CoreCompositionService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onLeftPartReducerClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreCompositionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreCompositionComponent, "core-composition", never, { "coreCompositionInstanceNumber": { "alias": "coreCompositionInstanceNumber"; "required": false; }; "top": { "alias": "top"; "required": false; }; "left": { "alias": "left"; "required": false; }; "leftWidth": { "alias": "leftWidth"; "required": false; }; "main": { "alias": "main"; "required": false; }; "height": { "alias": "height"; "required": false; }; "defaultResizeOff": { "alias": "defaultResizeOff"; "required": false; }; }, {}, never, never, true, never>;
}
