import { OnDestroy, OnInit } from '@angular/core';
import { FormGroup, AbstractControl } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { MultiLanguageService } from '../../services/multi-language.service';
import { AlertService } from '../alert/alert.service';
import { BaseComponent } from '../base-component/base/base.component';
import { IError } from '../core-control/core-control/IError';
import { ICoreDatePickerRange } from '../core-date-picker/core-date-picker/core-date-picker.component';
import { IFormBaseControl } from '../core-form/core-form/enum-interfaces';
import { EnumCoreOrgTreeaAccessorMode } from '../core-org-tree/core-org-tree/core-org-tree.component';
import * as i0 from "@angular/core";
export declare class CoreControlNoSeekerComponent extends BaseComponent implements OnInit, OnDestroy {
    mls: MultiLanguageService;
    alertService: AlertService;
    control: IFormBaseControl;
    form: FormGroup;
    checkError$: BehaviorSubject<boolean>;
    rangeLimit: ICoreDatePickerRange;
    rawControl: AbstractControl;
    controlType: string;
    required: boolean;
    errors: IError[];
    coreOrgTreeDefaultAccessorMode: EnumCoreOrgTreeaAccessorMode;
    constructor(mls: MultiLanguageService, alertService: AlertService);
    private displayValidatorNameMathchingError;
    private checkError;
    private resetError;
    ngOnInit(): void;
    get isValid(): boolean;
    onFocus(e: any): void;
    onBlur(e: any): void;
    oHandleClick(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreControlNoSeekerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreControlNoSeekerComponent, "core-control-no-seeker", never, { "control": { "alias": "control"; "required": false; }; "form": { "alias": "form"; "required": false; }; "checkError$": { "alias": "checkError$"; "required": false; }; "rangeLimit": { "alias": "rangeLimit"; "required": false; }; }, {}, never, never, true, never>;
}
