import { EventEmitter, OnInit } from '@angular/core';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import * as i0 from "@angular/core";
export declare class CoreCurrencyInputComponent extends CoreFormControlBaseComponent implements OnInit {
    currencySign: string;
    placeholder: string;
    onLeftFocus: EventEmitter<any>;
    IGNORED_CODES: string[];
    value: number | null | undefined;
    textValue: string;
    constructor();
    writeValue(obj: number | null | undefined): void;
    ngOnInit(): void;
    onKeyUp(e: any): void;
    onBlur(e: any): void;
    formatNumber(n: any): string;
    formatCurrency(e: any, blur?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreCurrencyInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreCurrencyInputComponent, "core-currency-input", never, { "currencySign": { "alias": "currencySign"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; }, { "onLeftFocus": "onLeftFocus"; }, never, never, true, never>;
}
