import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, Renderer2 } from '@angular/core';
import { DomService } from '../services/dom.service';
import { BaseComponent } from '../base-component/base/base.component';
import { MultiLanguageService } from '../../services/multi-language.service';
import { LayoutService } from '../../services/layout.service';
import { CoreFilterHubService } from './core-filter-hub.service';
import { ICoreParamControl } from '../core-header-params/enum-and-interfaces';
import { AlertService } from '../alert/alert.service';
import * as i0 from "@angular/core";
export declare class CoreFilterHubComponent extends BaseComponent implements AfterViewInit, OnDestroy {
    mls: MultiLanguageService;
    private domService;
    private coreFilterHubService;
    private layoutService;
    private renderer;
    private alertService;
    paramRows: ICoreParamControl[][];
    showButton: boolean;
    onButtonClick: EventEmitter<any>;
    container: ElementRef<any>;
    header: ElementRef<any>;
    top: number;
    right: number;
    listenerFn: () => void;
    eventListeners: (() => void)[];
    constructor(mls: MultiLanguageService, domService: DomService, coreFilterHubService: CoreFilterHubService, layoutService: LayoutService, renderer: Renderer2, alertService: AlertService);
    listenerSetup(): void;
    ngAfterViewInit(): void;
    onClose(e: any): void;
    ngOnDestroy(): void;
    onButtonClickLocal(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreFilterHubComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreFilterHubComponent, "core-filter-hub", never, { "paramRows": { "alias": "paramRows"; "required": false; }; "showButton": { "alias": "showButton"; "required": false; }; }, { "onButtonClick": "onButtonClick"; }, never, never, true, never>;
}
