import { ValidatorFn } from '@angular/forms';
import { IValidator } from '../../core-form/core-form/enum-interfaces';
import { EnumFormBaseContolType } from '../../../enum/EnumFormBaseContolType';
type DefaultValidatorDefinition = Omit<IValidator, 'validator'> & {
    validator?: ValidatorFn;
};
type DefaultValidatorsByControl = {
    [K in EnumFormBaseContolType]?: DefaultValidatorDefinition[] | {
        [subtype: string]: DefaultValidatorDefinition[];
    };
};
export declare const defaultValidatorsByControl: DefaultValidatorsByControl;
export {};
