import { ChangeDetectorRef } from '@angular/core';
import { CoreFormDesignService } from '../../core-form-design.service';
import { IFormBaseControl } from '../../../core-form/core-form/enum-interfaces';
import { BaseComponent } from '../../../base-component/base/base.component';
import * as i0 from "@angular/core";
export declare abstract class BasePropsComponent extends BaseComponent {
    coreFormDesignService: CoreFormDesignService;
    $selectedCell: import("@angular/core").WritableSignal<import("../../interfaces").IFormDesignCell | null>;
    $formContext: import("@angular/core").Signal<IFormBaseControl[]>;
    form: import("@angular/forms").FormGroup<any>;
    patchControl: (updated: IFormBaseControl) => void;
    normalize: (control: Partial<IFormBaseControl>) => IFormBaseControl;
    cdr: ChangeDetectorRef;
    setControlProp: <K extends keyof IFormBaseControl>(key: K, value: IFormBaseControl[K]) => void;
    $control: import("@angular/core").Signal<IFormBaseControl>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BasePropsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BasePropsComponent, "base-props", never, {}, {}, never, never, true, never>;
}
