import { AfterViewInit, ChangeDetectorRef, Renderer2, Type } from '@angular/core';
import { IFormBaseControl } from '../../core-form/core-form/enum-interfaces';
import { EnumFormBaseContolType } from '../../../enum/EnumFormBaseContolType';
import { CoreFormDesignService } from '../core-form-design.service';
import { BaseComponent } from '../../base-component/base/base.component';
import * as i0 from "@angular/core";
export declare class FieldSettingComponent extends BaseComponent implements AfterViewInit {
    coreFormDesignService: CoreFormDesignService;
    enumControlType: typeof EnumFormBaseContolType;
    listenerFn: () => void;
    renderer: Renderer2;
    cdr: ChangeDetectorRef;
    readonly $control: import("@angular/core").Signal<IFormBaseControl>;
    readonly $formContext: import("@angular/core").Signal<IFormBaseControl[]>;
    onControlParamsChange(): void;
    componentLoaderMap: Record<string, () => Promise<Type<any>>>;
    closeFieldSettingPanel(): void;
    getFriendlyControlLabel(control: IFormBaseControl | undefined): string;
    camelToTitle(input: string): string;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FieldSettingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FieldSettingComponent, "field-setting", never, {}, {}, never, never, true, never>;
}
