import { IFormBaseControl } from '../../../../core-form/core-form/enum-interfaces';
import { IFormDesignRow } from '../../../interfaces';
import * as i0 from "@angular/core";
export declare class AttachmentFieldHelperService {
    static isAttachment(control: IFormBaseControl): boolean;
    static autoGenerateAttachmentNames(baseName: string): {
        field: string;
        assignTo: string;
    };
    static buildHiddenAssignToField(baseFieldName: string): IFormBaseControl;
    static injectAssignToFieldIntoRow(row: IFormDesignRow, assignToField: IFormBaseControl): void;
    /**
     * Called when user edits the "field" of an ATTACHMENT control
     */
    static handleFieldNameChangeForAttachment(control: IFormBaseControl, form: IFormBaseControl[], typedFieldName: string): void;
    /**
     * Called in drop handler when user drops a new ATTACHMENT
     */
    static setupAttachmentOnDrop(newControl: IFormBaseControl, form: IFormBaseControl[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AttachmentFieldHelperService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AttachmentFieldHelperService>;
}
