import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { CoreFormDesignListComponent } from '../core-form-design/core-form-design-list.component';
import { BehaviorSubject } from 'rxjs';
import { IFilterOperator } from '../../interfaces/IQueryListRequest';
import { EnumCoreSeekerColumnAutoForm } from '../core-form-control-seeker/EnumCoreSeekerColumn';
import * as i0 from "@angular/core";
export declare class CoreFormSeekerComponent extends CoreFormDesignListComponent implements OnChanges, AfterViewInit {
    preDefinedOuterFilter$: BehaviorSubject<IFilterOperator[]>;
    outerFilter$: BehaviorSubject<IFilterOperator[] | undefined>;
    useTheseColumns: string[];
    hideOrgTree: boolean;
    excludedColumns: EnumCoreSeekerColumnAutoForm[];
    multiMode: boolean;
    preDefinedOuterParam$: BehaviorSubject<any>;
    excludedIds$: BehaviorSubject<number[]>;
    rowDoubleClick: EventEmitter<any>;
    rowClick: EventEmitter<any>;
    selectedIdsChange: EventEmitter<any>;
    selectedDataChange: EventEmitter<any>;
    columnsInit: EventEmitter<any>;
    listChange: EventEmitter<any[]>;
    isDevMode: boolean;
    outerFilterOperators: IFilterOperator[];
    title: string;
    corePageListHeight: number;
    cdr: ChangeDetectorRef;
    orgTreeHeight: number;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onRowDoubleClick(e: any): void;
    onSelectedIdsChange(e: any): void;
    onSelectedDataChange(e: any[]): void;
    onRowSingleClick(e: any): void;
    onListChange(e: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreFormSeekerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreFormSeekerComponent, "core-form-seeker", never, { "preDefinedOuterFilter$": { "alias": "preDefinedOuterFilter$"; "required": false; }; "outerFilter$": { "alias": "outerFilter$"; "required": false; }; "useTheseColumns": { "alias": "useTheseColumns"; "required": false; }; "hideOrgTree": { "alias": "hideOrgTree"; "required": false; }; "excludedColumns": { "alias": "excludedColumns"; "required": false; }; "multiMode": { "alias": "multiMode"; "required": false; }; "preDefinedOuterParam$": { "alias": "preDefinedOuterParam$"; "required": false; }; "excludedIds$": { "alias": "excludedIds$"; "required": false; }; }, { "rowDoubleClick": "rowDoubleClick"; "rowClick": "rowClick"; "selectedIdsChange": "selectedIdsChange"; "selectedDataChange": "selectedDataChange"; "columnsInit": "columnsInit"; "listChange": "listChange"; }, never, never, true, never>;
}
