import { EnumFormBaseContolType } from "../../../enum/EnumFormBaseContolType";
export declare class ControlBase<T> {
    rowIndex: number;
    columnIndex: number;
    flexSize: number;
    value: T | undefined;
    key: string;
    label: string;
    required?: boolean;
    readonly?: boolean;
    order: number;
    controlType: EnumFormBaseContolType | null;
    type: string;
    options?: {
        key: string;
        value: string;
    }[];
    constructor(options?: {
        rowIndex?: number;
        columnIndex?: number;
        flexSize?: number;
        value?: T;
        key?: string;
        label?: string;
        required?: boolean;
        order?: number;
        controlType?: EnumFormBaseContolType;
        type?: string;
        options?: {
            key: string;
            value: string;
        }[];
    });
}
