import { Observable } from 'rxjs';
import { ControlBase } from './core-control-classes/control-base';
import { ICoreFormSection, IFormBaseControl } from './core-form/enum-interfaces';
import * as i0 from "@angular/core";
export declare class CoreFormService {
    constructor();
    getForm(controls: IFormBaseControl[]): Observable<ControlBase<string>[]>;
    getFormBaseControlByName(sections: ICoreFormSection[], name: string): IFormBaseControl | undefined;
    getAllFormBaseControlNames(sections: ICoreFormSection[]): string[];
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreFormService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreFormService>;
}
