import { OnChanges, OnInit, OnDestroy, SimpleChanges, EventEmitter, ViewContainerRef, AfterViewInit, QueryList } from '@angular/core';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { Subscription } from 'rxjs';
import { ICoreParamControl } from '../enum-and-interfaces';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CoreHeaderParamsComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    private mls;
    showButton: boolean;
    buttonCaptionCode: string;
    enableTimeZoneConverterForDateTimePeriodParameters: boolean;
    rows: ICoreParamControl[][];
    toggleAllValue: boolean;
    onButtonClick: EventEmitter<any>;
    lang: string;
    subscriptions: Subscription[];
    dynamicComponentContainers: QueryList<ViewContainerRef>;
    constructor(mls: MultiLanguageService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onFromDateChange(e: any): void;
    onToDateChange(e: any): void;
    onInclusionChange(e: any): void;
    onButtonClickLocal(): void;
    private loadDynamicComponents;
    private findParamItemByIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreHeaderParamsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreHeaderParamsComponent, "core-header-params", never, { "showButton": { "alias": "showButton"; "required": false; }; "buttonCaptionCode": { "alias": "buttonCaptionCode"; "required": false; }; "enableTimeZoneConverterForDateTimePeriodParameters": { "alias": "enableTimeZoneConverterForDateTimePeriodParameters"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; "toggleAllValue": { "alias": "toggleAllValue"; "required": false; }; }, { "onButtonClick": "onButtonClick"; }, never, never, true, never>;
}
