import { WritableSignal } from '@angular/core';
import { BaseComponent } from '../base-component/base/base.component';
import { MultiLanguageService } from '../../services/multi-language.service';
import { OrganizationService } from '../../services/organization.service';
import { IOrgTreeItem } from '../core-org-tree/core-org-tree/IOrgTreeItem';
import * as i0 from "@angular/core";
export declare class CoreOrgBranchComponent extends BaseComponent {
    mls: MultiLanguageService;
    private organizationService;
    $levelUp: import("@angular/core").InputSignal<number | undefined>;
    $currentId: import("@angular/core").InputSignal<number | undefined>;
    $linerData: WritableSignal<IOrgTreeItem[]>;
    $branchData: import("@angular/core").Signal<IOrgTreeItem | null>;
    constructor(mls: MultiLanguageService, organizationService: OrganizationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreOrgBranchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreOrgBranchComponent, "core-org-branch", never, { "$levelUp": { "alias": "$levelUp"; "required": false; "isSignal": true; }; "$currentId": { "alias": "$currentId"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
