import { AfterViewInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { CoreFormControlBaseComponent } from '../core-form-control-base/core-form-control-base.component';
import { EnumCoreOrgTreeaAccessorMode } from '../core-org-tree/core-org-tree/core-org-tree.component';
import { Subscription } from 'rxjs';
import { LayoutService } from '../../services/layout.service';
import { OrganizationService } from '../../services/organization.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { DomService } from '../services/dom.service';
import * as i0 from "@angular/core";
export declare class CoreOrgParamDropdownComponent extends CoreFormControlBaseComponent implements AfterViewInit, OnDestroy {
    private renderer;
    private layoutService;
    private domService;
    private organizationService;
    private mls;
    container: ElementRef<any>;
    accessorMode: EnumCoreOrgTreeaAccessorMode | string;
    dropdownHeight: number;
    value: number[];
    lang: string;
    sourceOpen: boolean;
    sourceContainerHeight: number;
    childComponentHeight: number;
    sourceSpaceHeight: number;
    valueToShow: string;
    pendingIds: number[];
    showPageHeader: boolean;
    ids: number[];
    subscriptions: Subscription[];
    orgIds: number[];
    expandState: boolean;
    listenerFn: () => void;
    constructor(renderer: Renderer2, layoutService: LayoutService, domService: DomService, organizationService: OrganizationService, mls: MultiLanguageService);
    ngAfterViewInit(): void;
    writeValue(obj: number[]): void;
    onCancel(): void;
    onClickSeek(): void;
    onSelect(): void;
    onItemDoubleClick(e: any): void;
    onIdsChange(e: number[]): void;
    onItemClick(e: any): void;
    toggleExpanded(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreOrgParamDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreOrgParamDropdownComponent, "core-org-param-dropdown", never, { "accessorMode": { "alias": "accessorMode"; "required": false; }; "dropdownHeight": { "alias": "dropdownHeight"; "required": false; }; }, {}, never, never, true, never>;
}
