import { AfterViewInit } from '@angular/core';
import { CoreFormControlBaseComponent } from '../core-form-control-base/core-form-control-base.component';
import { EnumCoreOrgTreeaAccessorMode } from '../core-org-tree/core-org-tree/core-org-tree.component';
import { SeekerService } from '../core-form-control-seeker/seeker.service';
import { LayoutService } from '../../services/layout.service';
import { OrganizationService } from '../../services/organization.service';
import { Subscription } from 'rxjs';
import { MultiLanguageService } from '../../services/multi-language.service';
import { EnumCoreButtonVNSCode } from '../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import * as i0 from "@angular/core";
export declare class CoreOrgParamComponent extends CoreFormControlBaseComponent implements AfterViewInit {
    private seekerService;
    private layoutService;
    private organizationService;
    private mls;
    accessorMode: EnumCoreOrgTreeaAccessorMode;
    value: number[];
    lang: string;
    sourceOpen: boolean;
    sourceContainerHeight: number;
    childComponentHeight: number;
    sourceSpaceHeight: number;
    valueToShow: string;
    pendingIds: number[];
    showPageHeader: boolean;
    ids: number[];
    subscriptions: Subscription[];
    buttonItems: EnumCoreButtonVNSCode[];
    constructor(seekerService: SeekerService, layoutService: LayoutService, organizationService: OrganizationService, mls: MultiLanguageService);
    ngAfterViewInit(): void;
    writeValue(obj: number[]): void;
    onCancel(): void;
    onClickSeek(): void;
    onSelect(): void;
    onButtonClick(e: any): void;
    onItemDoubleClick(e: any): void;
    onIdsChange(e: number[]): void;
    onItemClick(e: any): void;
    onClickClear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreOrgParamComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreOrgParamComponent, "core-org-param", never, { "accessorMode": { "alias": "accessorMode"; "required": false; }; }, {}, never, never, true, never>;
}
