import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { EnumCoreOrgTreeaAccessorMode } from '../../core-org-tree/core-org-tree/core-org-tree.component';
import { BaseComponent } from '../../base-component/base/base.component';
import { IOrgTreeItem } from '../../core-org-tree/core-org-tree/IOrgTreeItem';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import { BehaviorSubject } from 'rxjs';
import { LayoutService } from '../../../services/layout.service';
import * as i0 from "@angular/core";
export declare class CoreOrgUnitSeekerComponent extends BaseComponent implements OnChanges, OnInit {
    mls: MultiLanguageService;
    private layoutService;
    accessorMode: EnumCoreOrgTreeaAccessorMode;
    height: number;
    excludedIds$: BehaviorSubject<number[]>;
    itemDoubleClick: EventEmitter<any>;
    itemClick: EventEmitter<any>;
    idsChange: EventEmitter<any>;
    title: EnumTranslateKey;
    coreOrgTreeHeight: number;
    ids: number[];
    constructor(mls: MultiLanguageService, layoutService: LayoutService);
    ngOnChanges(changes: SimpleChanges): void;
    onItemDoubleClick(e: IOrgTreeItem): void;
    onItemClick(e: IOrgTreeItem): void;
    onIdsChange(e: number[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreOrgUnitSeekerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreOrgUnitSeekerComponent, "core-org-unit-seeker", never, { "accessorMode": { "alias": "accessorMode"; "required": false; }; "height": { "alias": "height"; "required": false; }; "excludedIds$": { "alias": "excludedIds$"; "required": false; }; }, { "itemDoubleClick": "itemDoubleClick"; "itemClick": "itemClick"; "idsChange": "idsChange"; }, never, never, true, never>;
}
