import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, TemplateRef, WritableSignal } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CoreOrgchartflexComponent implements AfterViewInit {
    $data: import("@angular/core").InputSignal<any[]>;
    $itemTemplate: import("@angular/core").InputSignal<TemplateRef<any>>;
    $compactMode: import("@angular/core").InputSignal<boolean | undefined>;
    $showDissolved: import("@angular/core").InputSignal<boolean | undefined>;
    $width: import("@angular/core").InputSignal<number | undefined>;
    $height: import("@angular/core").InputSignal<number | undefined>;
    $connectionColor: import("@angular/core").InputSignal<string | undefined>;
    $connectionSize: import("@angular/core").InputSignal<number | undefined>;
    $fromChildrenToTopLine: import("@angular/core").InputSignal<number | undefined>;
    $fromParentToChildrenTopLine: import("@angular/core").InputSignal<number | undefined>;
    $childrenHorizontalMargin: import("@angular/core").InputSignal<number | undefined>;
    $childrenBorderSize: import("@angular/core").InputSignal<number | undefined>;
    $childrenBorderColor: import("@angular/core").InputSignal<string | undefined>;
    onPrintAreaRendered: EventEmitter<any>;
    $container: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $parent: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $printArea: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $mouseDown: WritableSignal<boolean>;
    $startX: WritableSignal<any>;
    $scrollLeft: WritableSignal<any>;
    $startY: WritableSignal<any>;
    $scrollTop: WritableSignal<any>;
    $scale: WritableSignal<number>;
    cdr: ChangeDetectorRef;
    startDragging(e: any, flag: any): void;
    stopDragging(e: any, flag: any): void;
    moveEvent(e: any): void;
    constructor();
    toggleExpand(e: any): void;
    zoonIn(): void;
    zoonOut(): void;
    zoonFeat(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreOrgchartflexComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreOrgchartflexComponent, "core-orgchartflex", never, { "$data": { "alias": "$data"; "required": true; "isSignal": true; }; "$itemTemplate": { "alias": "$itemTemplate"; "required": true; "isSignal": true; }; "$compactMode": { "alias": "$compactMode"; "required": false; "isSignal": true; }; "$showDissolved": { "alias": "$showDissolved"; "required": false; "isSignal": true; }; "$width": { "alias": "$width"; "required": false; "isSignal": true; }; "$height": { "alias": "$height"; "required": false; "isSignal": true; }; "$connectionColor": { "alias": "$connectionColor"; "required": false; "isSignal": true; }; "$connectionSize": { "alias": "$connectionSize"; "required": false; "isSignal": true; }; "$fromChildrenToTopLine": { "alias": "$fromChildrenToTopLine"; "required": false; "isSignal": true; }; "$fromParentToChildrenTopLine": { "alias": "$fromParentToChildrenTopLine"; "required": false; "isSignal": true; }; "$childrenHorizontalMargin": { "alias": "$childrenHorizontalMargin"; "required": false; "isSignal": true; }; "$childrenBorderSize": { "alias": "$childrenBorderSize"; "required": false; "isSignal": true; }; "$childrenBorderColor": { "alias": "$childrenBorderColor"; "required": false; "isSignal": true; }; }, { "onPrintAreaRendered": "onPrintAreaRendered"; }, never, never, true, never>;
}
