import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { BaseComponent } from '../../base-component/base/base.component';
import { ICoreButtonVNS } from '../../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { EnumCoreButtonVNSCode } from '../../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CorePageHeaderComponent extends BaseComponent implements OnChanges, AfterViewInit {
    mls: MultiLanguageService;
    instanceNumber: number;
    shownItems: EnumCoreButtonVNSCode[];
    title: EnumTranslateKey | string;
    hideButtonGroup: boolean;
    htmlTooltipRef: TemplateRef<any>;
    buttonClick: EventEmitter<ICoreButtonVNS>;
    cdr: ChangeDetectorRef;
    container: ElementRef;
    constructor(mls: MultiLanguageService);
    ngOnChanges(changes: SimpleChanges): void;
    onButtonClick(e: ICoreButtonVNS): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePageHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CorePageHeaderComponent, "core-page-header", never, { "instanceNumber": { "alias": "instanceNumber"; "required": false; }; "shownItems": { "alias": "shownItems"; "required": false; }; "title": { "alias": "title"; "required": false; }; "hideButtonGroup": { "alias": "hideButtonGroup"; "required": false; }; "htmlTooltipRef": { "alias": "htmlTooltipRef"; "required": false; }; }, { "buttonClick": "buttonClick"; }, never, never, true, never>;
}
