import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { ICoreViewSection } from '../enum-interfaces';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { EnumTranslateKey } from "alpha-global-constants";
import { LayoutService } from '../../../services/layout.service';
import * as i0 from "@angular/core";
export declare class CorePageViewComponent extends BaseComponent implements OnInit, AfterViewInit {
    mls: MultiLanguageService;
    private layoutService;
    container: ElementRef<any>;
    caption: EnumTranslateKey;
    sections: ICoreViewSection[];
    highlightedFields: string[];
    hightlightedColor: string;
    loading: boolean;
    showLeftLine: boolean;
    formGroupBackgroundColor: string;
    constructor(mls: MultiLanguageService, layoutService: LayoutService);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePageViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CorePageViewComponent, "core-page-view", never, { "caption": { "alias": "caption"; "required": false; }; "sections": { "alias": "sections"; "required": false; }; "highlightedFields": { "alias": "highlightedFields"; "required": false; }; "hightlightedColor": { "alias": "hightlightedColor"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "showLeftLine": { "alias": "showLeftLine"; "required": false; }; }, {}, never, never, true, never>;
}
