import { AfterViewInit, ChangeDetectorRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ICoreParamControl } from '../../core-header-params/enum-and-interfaces';
import { BaseComponent } from '../../base-component/base/base.component';
import { AlertService } from '../../alert/alert.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { CoreParamControlService } from '../core-param-control.service';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CoreParamControlComponent extends BaseComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    mls: MultiLanguageService;
    alertService: AlertService;
    control: ICoreParamControl;
    enableTimeZoneConverterForDateTimePeriodParameters: boolean;
    coreParamControlService: CoreParamControlService;
    controlType: string;
    cdr: ChangeDetectorRef;
    ngModelSubscription: Subscription;
    constructor(mls: MultiLanguageService, alertService: AlertService);
    ngOnChanges(changes: SimpleChanges): void;
    onWindowClick(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreParamControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreParamControlComponent, "core-param-control", never, { "control": { "alias": "control"; "required": false; }; "enableTimeZoneConverterForDateTimePeriodParameters": { "alias": "enableTimeZoneConverterForDateTimePeriodParameters"; "required": false; }; }, {}, never, never, true, never>;
}
