import { BehaviorSubject, Observable } from 'rxjs';
import { CommonHttpRequestService } from '../../services/common-http-request.service';
import { ICoreFunctionAction } from '../core-permission-actions/core-permission-actions/core-permission-actions.component';
import * as i0 from "@angular/core";
export interface ISysActionView {
    actionId: number;
    nameCode: string;
}
export interface ISysFunctionView {
    functionId: number;
    appActionIds: ISysActionView[];
}
export declare class CorePermissionService {
    private commonHttpRequestService;
    selectedObject$: BehaviorSubject<any>;
    selectedObjectActionPermissions$: BehaviorSubject<ICoreFunctionAction[]>;
    instanceNumber: number | null;
    objectId: string | number;
    constructor(commonHttpRequestService: CommonHttpRequestService);
    getFunctionsActions(): Observable<any>;
    getFunctionsActionsForUser(userId: string): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePermissionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CorePermissionService>;
}
