import { OnInit } from '@angular/core';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { RoutingService } from '../../../services/routing.service';
import * as i0 from "@angular/core";
export interface IRoutingHistoryItem {
    fullUrl: string;
    mainComponentCodeName?: string;
}
export declare class CoreRoutingHistoryComponent extends BaseComponent implements OnInit {
    mls: MultiLanguageService;
    private routingService;
    items: IRoutingHistoryItem[];
    constructor(mls: MultiLanguageService, routingService: RoutingService);
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreRoutingHistoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreRoutingHistoryComponent, "core-routing-history", never, {}, {}, never, never, true, never>;
}
