import { AfterViewInit, OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { Subject, Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CoreScrollComponent implements OnChanges, OnInit, AfterViewInit {
    localOptions: any[];
    itemTemplate: TemplateRef<any>;
    itemCount: number;
    height: number;
    childHeight: number;
    renderAhread: number;
    totalHeight: number;
    scrollTop: number;
    offsetY: number;
    visibleOptions: any[];
    scrollStream$: Subject<any>;
    subscriptions: Subscription[];
    constructor();
    onScrollLoading(e: any): void;
    ngOnChanges(changes: SimpleChanges): void;
    calculate(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreScrollComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreScrollComponent, "core-scroll", never, { "localOptions": { "alias": "localOptions"; "required": false; }; "itemTemplate": { "alias": "itemTemplate"; "required": false; }; "itemCount": { "alias": "itemCount"; "required": false; }; "height": { "alias": "height"; "required": false; }; "childHeight": { "alias": "childHeight"; "required": false; }; "renderAhread": { "alias": "renderAhread"; "required": false; }; }, {}, never, never, true, never>;
}
