import { AfterViewInit, ElementRef, ChangeDetectorRef } from '@angular/core';
import { IAtShift } from '../../interfaces/time-management/IAtShift';
import { DomService } from '../services/dom.service';
import { AppService } from '../../services/app.service';
import { BaseComponent } from '../base-component/base/base.component';
import { WorkShiftDndService } from '../../services/work-shift-dnd.service';
import * as i0 from "@angular/core";
export declare class CoreShiftCollectionComponent extends BaseComponent implements AfterViewInit {
    height: number;
    relativeMode: boolean;
    container: ElementRef<any>;
    header: ElementRef<any>;
    domService: DomService;
    appService: AppService;
    cdr: ChangeDetectorRef;
    workShiftDndService: WorkShiftDndService;
    fullShifts: IAtShift[];
    filteredShifts: any[];
    searchHeight: number;
    itemHeight: number;
    codeKeyword: string;
    nameKeyword: string;
    symbolCodeKeyword: string;
    symbolNameKeyword: string;
    showAdvancedSearch: boolean;
    ngAfterViewInit(): void;
    onClose(e: any): void;
    filter(): void;
    onCodeKeywordChange(e: string): void;
    onNameKeywordChange(e: string): void;
    onSymbolCodeKeywordChange(e: string): void;
    onSymbolNameKeywordChange(e: string): void;
    onAdvancedSearchToggle(): void;
    onFilterReset(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreShiftCollectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreShiftCollectionComponent, "core-shift-collection", never, { "height": { "alias": "height"; "required": true; }; "relativeMode": { "alias": "relativeMode"; "required": false; }; }, {}, never, never, true, never>;
}
