import { AfterViewInit, ChangeDetectorRef, ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { IAtShift } from '../../interfaces/time-management/IAtShift';
import { BaseComponent } from '../base-component/base/base.component';
import { BehaviorSubject } from 'rxjs';
import { WorkShiftDndService } from '../../services/work-shift-dnd.service';
import { DndService } from '../../services/dnd.service';
import { DialogService } from '../../services/dialog.service';
import * as i0 from "@angular/core";
export declare class CoreShiftStickerComponent extends BaseComponent implements OnChanges, OnInit, AfterViewInit {
    $container: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $shiftDetails: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $check: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $deleteToggler: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $plus: import("@angular/core").Signal<ElementRef<any> | undefined>;
    shift$: BehaviorSubject<IAtShift>;
    parentShifts$: BehaviorSubject<IAtShift[]>;
    $readOnly: import("@angular/core").InputSignal<boolean>;
    $hideSymbolLine: import("@angular/core").InputSignal<boolean | undefined>;
    $shiftCellId: import("@angular/core").InputSignal<string>;
    cdr: ChangeDetectorRef;
    dndService: DndService;
    workShiftDndService: WorkShiftDndService;
    dialogService: DialogService;
    checked: boolean;
    $height: import("@angular/core").InputSignal<number>;
    $width: import("@angular/core").InputSignal<number | undefined>;
    duration: number | undefined;
    breakDuration: number | undefined;
    height: string;
    borderRadius: string;
    fontSize: string;
    lineHeight: number;
    firstLinefontWeight: number;
    cursor: string;
    padding: string;
    color: string;
    backgroundColor: string;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onDeleteToggle(ev: any): void;
    onAddLocal(ev: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreShiftStickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreShiftStickerComponent, "core-shift-sticker", never, { "shift$": { "alias": "shift$"; "required": true; }; "parentShifts$": { "alias": "parentShifts$"; "required": true; }; "$readOnly": { "alias": "$readOnly"; "required": false; "isSignal": true; }; "$hideSymbolLine": { "alias": "$hideSymbolLine"; "required": false; "isSignal": true; }; "$shiftCellId": { "alias": "$shiftCellId"; "required": true; "isSignal": true; }; "checked": { "alias": "checked"; "required": false; }; "$height": { "alias": "$height"; "required": false; "isSignal": true; }; "$width": { "alias": "$width"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
