import { AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { BaseComponent } from '../../base-component/base/base.component';
import { StringService } from '../../services/string.service';
import { LayoutService } from '../../../services/layout.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CoreStatusStickerComponent extends BaseComponent implements AfterViewInit, OnChanges {
    mls: MultiLanguageService;
    private layoutService;
    private stringService;
    code: string;
    caption: string;
    width: number;
    isTrueCode: boolean;
    backgroundColor: string;
    color: string;
    height: string;
    constructor(mls: MultiLanguageService, layoutService: LayoutService, stringService: StringService);
    ngOnChanges(changes: SimpleChanges): void;
    private refreshTheme;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreStatusStickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreStatusStickerComponent, "core-status-sticker", never, { "code": { "alias": "code"; "required": false; }; "caption": { "alias": "caption"; "required": false; }; "width": { "alias": "width"; "required": false; }; "isTrueCode": { "alias": "isTrueCode"; "required": false; }; }, {}, never, never, true, never>;
}
