import { AfterViewInit, WritableSignal } from '@angular/core';
import { BaseComponent } from '../base-component/base/base.component';
import * as i0 from "@angular/core";
export declare class CoreStickerCollectionComponent<T extends object> extends BaseComponent implements AfterViewInit {
    $items: import("@angular/core").InputSignal<T[]>;
    $shownFrom: import("@angular/core").InputSignal<string>;
    $tooltipFrom: import("@angular/core").InputSignal<string>;
    $initialChecked: import("@angular/core").InputSignal<string[]>;
    $checkedChange: import("@angular/core").OutputEmitterRef<string[]>;
    $showMore: import("@angular/core").InputSignal<boolean>;
    $onShowMore: import("@angular/core").OutputEmitterRef<any>;
    $showMoreTooltip: import("@angular/core").InputSignal<string | undefined>;
    $hideShowMoreIfNotSelected: import("@angular/core").InputSignal<boolean | undefined>;
    $enableFilter: import("@angular/core").InputSignal<boolean>;
    $checked: WritableSignal<string[]>;
    $filterText: WritableSignal<string>;
    $filteredItems: import("@angular/core").Signal<T[]>;
    onFilterChange(e: any): void;
    getTooltip(item: any): string;
    toggle(field: any): void;
    onShowMoreClicked(item: any, e: any): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreStickerCollectionComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreStickerCollectionComponent<any>, "core-sticker-collection", never, { "$items": { "alias": "$items"; "required": true; "isSignal": true; }; "$shownFrom": { "alias": "$shownFrom"; "required": true; "isSignal": true; }; "$tooltipFrom": { "alias": "$tooltipFrom"; "required": false; "isSignal": true; }; "$initialChecked": { "alias": "$initialChecked"; "required": false; "isSignal": true; }; "$showMore": { "alias": "$showMore"; "required": false; "isSignal": true; }; "$showMoreTooltip": { "alias": "$showMoreTooltip"; "required": false; "isSignal": true; }; "$hideShowMoreIfNotSelected": { "alias": "$hideShowMoreIfNotSelected"; "required": false; "isSignal": true; }; "$enableFilter": { "alias": "$enableFilter"; "required": false; "isSignal": true; }; }, { "$checkedChange": "$checkedChange"; "$onShowMore": "$onShowMore"; }, never, never, true, never>;
}
