import { OnInit, AfterViewInit, ElementRef, TemplateRef, EventEmitter } from '@angular/core';
import { DomService } from '../../services/dom.service';
import * as i0 from "@angular/core";
export declare class CoreTreeComponent implements OnInit, AfterViewInit {
    private domService;
    data: any[];
    cardTemplate: TemplateRef<any>;
    wrapLastLevel: boolean;
    showNodes: boolean;
    showCells: boolean;
    minHeight: string;
    background: string;
    cardWidth: string;
    cardHeight: string;
    cardBorderSize: string;
    cardBorderColor: string;
    cardBorderRadius: string;
    cardBackground: string;
    cardPadding: string;
    connectingLineVPadding: string;
    lonelyChildrenVSpacing: string;
    tierBlockIndent: string;
    blockHorizontalSpacing: string;
    lineColor: string;
    lineSize: string;
    lineConnerBorderRadius: string;
    nodeSize: string;
    nodeBorderSize: string;
    nodeBorderColor: string;
    onItemClick: EventEmitter<any>;
    container: ElementRef;
    lonelyChildrenItemBeforeHeight: number;
    mobileMode: boolean;
    constructor(domService: DomService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onItemClickLocal(arg: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreTreeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreTreeComponent, "core-tree", never, { "data": { "alias": "data"; "required": false; }; "cardTemplate": { "alias": "cardTemplate"; "required": false; }; "wrapLastLevel": { "alias": "wrapLastLevel"; "required": false; }; "showNodes": { "alias": "showNodes"; "required": false; }; "showCells": { "alias": "showCells"; "required": false; }; "minHeight": { "alias": "minHeight"; "required": false; }; "background": { "alias": "background"; "required": false; }; "cardWidth": { "alias": "cardWidth"; "required": false; }; "cardHeight": { "alias": "cardHeight"; "required": false; }; "cardBorderSize": { "alias": "cardBorderSize"; "required": false; }; "cardBorderColor": { "alias": "cardBorderColor"; "required": false; }; "cardBorderRadius": { "alias": "cardBorderRadius"; "required": false; }; "cardBackground": { "alias": "cardBackground"; "required": false; }; "cardPadding": { "alias": "cardPadding"; "required": false; }; "connectingLineVPadding": { "alias": "connectingLineVPadding"; "required": false; }; "lonelyChildrenVSpacing": { "alias": "lonelyChildrenVSpacing"; "required": false; }; "tierBlockIndent": { "alias": "tierBlockIndent"; "required": false; }; "blockHorizontalSpacing": { "alias": "blockHorizontalSpacing"; "required": false; }; "lineColor": { "alias": "lineColor"; "required": false; }; "lineSize": { "alias": "lineSize"; "required": false; }; "lineConnerBorderRadius": { "alias": "lineConnerBorderRadius"; "required": false; }; "nodeSize": { "alias": "nodeSize"; "required": false; }; "nodeBorderSize": { "alias": "nodeBorderSize"; "required": false; }; "nodeBorderColor": { "alias": "nodeBorderColor"; "required": false; }; }, { "onItemClick": "onItemClick"; }, never, never, true, never>;
}
