import { BaseComponent } from '../../../base-component/base/base.component';
import { IWorkflowSchemaTable } from '../../interfaces/IWorkflowSchema';
import { FormControl } from '@angular/forms';
import { DbService } from '../../../../services/db.service';
import * as i0 from "@angular/core";
export declare class AiHintForColumnComponent extends BaseComponent {
    $table: import("@angular/core").InputSignal<IWorkflowSchemaTable>;
    $column: import("@angular/core").InputSignal<string>;
    $top: import("@angular/core").InputSignal<number>;
    $left: import("@angular/core").InputSignal<number>;
    $closed: import("@angular/core").OutputEmitterRef<void>;
    dbs: DbService;
    hintControl: FormControl<string | null>;
    ngOnInit(): void;
    handleClickOutside(event: MouseEvent): void;
    handleEscape(event: KeyboardEvent): void;
    save(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AiHintForColumnComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AiHintForColumnComponent, "ai-hint-for-column", never, { "$table": { "alias": "$table"; "required": true; "isSignal": true; }; "$column": { "alias": "$column"; "required": true; "isSignal": true; }; "$top": { "alias": "$top"; "required": true; "isSignal": true; }; "$left": { "alias": "$left"; "required": true; "isSignal": true; }; }, { "$closed": "$closed"; }, never, never, true, never>;
}
