import { AfterViewInit, ChangeDetectorRef, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { DialogService } from '../../../services/dialog.service';
import { CoreWorkflowService } from '../core-workflow.service';
import { ApplicationHelpService } from '../../../services/application-help.service';
import { NavigatorService } from '../../../services/navigator.service';
import { ActivatedRoute } from '@angular/router';
import { JsonService } from '../../../services/json.service';
import { CoreFormDesignService } from '../../core-form-design/core-form-design.service';
import { AlertService } from '../../alert/alert.service';
import * as i0 from "@angular/core";
export declare class DesignWrapperComponent implements OnInit, AfterViewInit {
    $showInitialState: import("@angular/core").WritableSignal<boolean>;
    dialogService: DialogService;
    wfs: CoreWorkflowService;
    fds: CoreFormDesignService;
    hs: ApplicationHelpService;
    ns: NavigatorService;
    route: ActivatedRoute;
    js: JsonService;
    cdr: ChangeDetectorRef;
    as: AlertService;
    id: string | undefined;
    constructor();
    ngOnInit(): void;
    debugClick(): void;
    ngAfterViewInit(): void;
    canDeactivate(): Observable<boolean> | boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DesignWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DesignWrapperComponent, "design-wrapper", never, {}, {}, never, never, true, never>;
}
