import { IRoutingStep } from "./IRoutingStep";
export interface IInitialDebugSubmitRequest {
    workflowId: string;
    attributes: Record<string, any>;
    results: DebugSubmitRoutingGroup[];
}
export interface DebugSubmitRoutingGroup {
    targetEmployeeId: number;
    targetEmployeeFullName: string;
    error?: string;
    response: RoutingResponse | null;
}
export interface RoutingResponse {
    steps: IRoutingStep[];
    logs: string[];
    attributes: Record<string, any>;
}
