import { IFormBaseControl } from "../../core-form/core-form/enum-interfaces";
import { IRuleTree } from "../../core-rule-tree/interfaces";
import { IActorAssignment } from "./IActorAssignment";
export interface IStepConfig extends IActorStepConfig, IStepRuleConfig {
}
export interface IStepRuleConfig {
    ruleTree?: IRuleTree;
    fields?: IFormBaseControl[];
    isFallback?: boolean;
    fallbackType?: 'next-branch' | 'hard-block' | 'soft-warn';
    fallbackMessage?: string;
}
export interface IActorStepConfig {
    actors?: IActorAssignment;
    routingLogic?: 'parallel' | 'short-circuit' | 'sequential';
}
