import { IWorkflowStepProgress } from '../interfaces/IWorkflowStepProgress';
import { IWorkflowLog } from '../interfaces/IWorkflowLog';
export interface IWorkflowInstance {
    correlationId: string;
    currentState: string;
    workflowId: string;
    workflowName: string;
    attributes?: any;
    attributesJson: string;
    currentStepName: string;
    dbType: string;
    encryptedConnectionString: string;
    firstActorFullname: string;
    firstActorEmail: string;
    lastActorEmployeeId: number;
    lastTriggeredStepId?: string;
    lastActorFullname: string;
    lastActorEmail: string;
    lastActorEmployeeCode?: string;
    lastActorPositionName?: string;
    lastActorJobName?: string;
    systemMessages?: string;
    lastActionAt: Date;
    isDebug?: boolean;
    reasons: string;
    stepProgresses: IWorkflowStepProgress[];
    workflowLogs: IWorkflowLog[];
}
