import { IWorkflowInstance } from '../interfaces/IWorkflowInstance';
import { IWorkflowStepProgress } from '../interfaces/IWorkflowStepProgress';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { AlertService } from '../../alert/alert.service';
import * as i0 from "@angular/core";
export declare class RuntimeRoutingComponent extends BaseComponent {
    mls: MultiLanguageService;
    $instance: import("@angular/core").InputSignal<IWorkflowInstance | null | undefined>;
    as: AlertService;
    $steps: import("@angular/core").Signal<IWorkflowStepProgress[]>;
    getStepStatusClass(step: IWorkflowStepProgress): string;
    constructor(mls: MultiLanguageService);
    static ɵfac: i0.ɵɵFactoryDeclaration<RuntimeRoutingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RuntimeRoutingComponent, "runtime-routing", never, { "$instance": { "alias": "$instance"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
