import { AfterViewInit } from '@angular/core';
import { BaseEditComponent } from '../../base-edit/base-edit/base-edit.component';
import { ActivatedRoute, Router } from '@angular/router';
import { BehaviorSubject, Subscription } from 'rxjs';
import { ICorePageEditCRUD } from '../../core-page-edit/ICorePageEditCRUD';
import { ICoreFormSection } from '../../core-form/core-form/enum-interfaces';
import { FormGroup } from '@angular/forms';
import { DialogService } from '../../../services/dialog.service';
import { AppService } from '../../../services/app.service';
import { ICoreDropdownOption } from '../../../interfaces/ICoreDropdownOption';
import { CoreWorkflowService } from '../core-workflow.service';
import { AlertService } from '../../alert/alert.service';
import { CoreFormDesignService } from '../../core-form-design/core-form-design.service';
import * as i0 from "@angular/core";
export declare class WfBasicInfoComponent extends BaseEditComponent implements AfterViewInit {
    dialogService: DialogService;
    private appService;
    captionCode: string;
    wfs: CoreWorkflowService;
    alertService: AlertService;
    fds: CoreFormDesignService;
    private injector;
    constructor(dialogService: DialogService, appService: AppService);
    router: Router;
    route: ActivatedRoute;
    loading: boolean;
    entityTable: string;
    subscriptions: Subscription[];
    groupOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    crud: ICorePageEditCRUD;
    sections: ICoreFormSection[];
    ngAfterViewInit(): void;
    private updateCurrentFlow;
    private updateCurrentFlowByKey;
    private updateCurrentAfInstance;
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    onSubmitSuccess(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WfBasicInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfBasicInfoComponent, "wf-basic-info", never, { "captionCode": { "alias": "captionCode"; "required": false; }; }, {}, never, never, true, never>;
}
