import { ActivatedRoute } from '@angular/router';
import { AppService } from '../../../services/app.service';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { BehaviorSubject } from 'rxjs';
import { IFormBaseControl } from '../../core-form/core-form/enum-interfaces';
import { CoreWorkflowService } from '../core-workflow.service';
import { IWorkflowReactContext } from '../interfaces/IWorkflowReactContext';
import * as i0 from "@angular/core";
export declare class WfInstanceStepReactComponent extends BaseComponent {
    mls: MultiLanguageService;
    private route;
    private appService;
    $id: import("@angular/core").WritableSignal<string>;
    $loading: import("@angular/core").WritableSignal<boolean>;
    $context: import("@angular/core").WritableSignal<IWorkflowReactContext | null>;
    $reactMode: import("@angular/core").WritableSignal<boolean>;
    wfs: CoreWorkflowService;
    injectedFields$: BehaviorSubject<IFormBaseControl[]>;
    constructor(mls: MultiLanguageService, route: ActivatedRoute, appService: AppService);
    static ɵfac: i0.ɵɵFactoryDeclaration<WfInstanceStepReactComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfInstanceStepReactComponent, "wf-instance-step-react", never, {}, {}, never, never, true, never>;
}
