import { ElementRef, EventEmitter, NgZone, OnDestroy, OnInit } from '@angular/core';
import { BridgeLineService } from './bridge-line.service';
import * as i0 from "@angular/core";
export declare class BridgeLineDirective implements OnInit, OnDestroy {
    private elRef;
    private bridgeLineService;
    private zone;
    bridgeLinesAdjusted: EventEmitter<void>;
    private resizeObserver;
    private mutationObserver;
    constructor(elRef: ElementRef<HTMLElement>, bridgeLineService: BridgeLineService, zone: NgZone);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private adjustBridgeLines;
    static ɵfac: i0.ɵɵFactoryDeclaration<BridgeLineDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BridgeLineDirective, "[bridgeLine]", never, {}, { "bridgeLinesAdjusted": "bridgeLinesAdjusted"; }, never, never, true, never>;
}
