import { Signal } from '@angular/core';
import { BaseComponent } from '../../../../base-component/base/base.component';
import { ICoreRadioOption } from '../../../../core-radio-group/core-radio-group/core-radio-group.component';
import { BehaviorSubject } from 'rxjs';
import { CoreWorkflowService } from '../../../core-workflow.service';
import { RoutingStepLogic } from '../../../types/RoutingStepLogic';
import * as i0 from "@angular/core";
export declare class WfApproverConfigComponent extends BaseComponent {
    wfs: CoreWorkflowService;
    $routingLogic: Signal<RoutingStepLogic>;
    $actorSource: Signal<import("../../../enums/EnumActorSourceType").EnumActorSourceType | "Unknown">;
    actorSourceOptions$: BehaviorSubject<ICoreRadioOption[]>;
    onSourceChanged(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WfApproverConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfApproverConfigComponent, "wf-approver-config", never, {}, {}, never, never, true, never>;
}
