import { NavigatorService } from '../../../../services/navigator.service';
import { ICoreButtonVNS } from '../../../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { EnumCoreButtonVNSCode } from '../../../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { BaseComponent } from '../../../base-component/base/base.component';
import { MultiLanguageService } from '../../../../services/multi-language.service';
import { AppService } from '../../../../services/app.service';
import { AlertService } from '../../../alert/alert.service';
import * as i0 from "@angular/core";
export declare class MenuItemSvgEditComponent extends BaseComponent {
    mls: MultiLanguageService;
    private navigatorService;
    private appService;
    private alertService;
    id: number | undefined;
    code: string | undefined;
    svg: string;
    buttonItems: EnumCoreButtonVNSCode[];
    constructor(mls: MultiLanguageService, navigatorService: NavigatorService, appService: AppService, alertService: AlertService);
    onButtonClick(e: ICoreButtonVNS): void;
    validateSvg(svgString: string | undefined): {
        isValid: boolean;
        errors: string[];
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuItemSvgEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuItemSvgEditComponent, "menu-item-svg-edit", never, {}, {}, never, never, true, never>;
}
