import { ElementRef, EventEmitter, OnInit, AfterViewInit, OnDestroy } from '@angular/core';
import { BehaviorSubject, Observable, Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class PaginationComponent implements OnInit, AfterViewInit, OnDestroy {
    currentPage$: BehaviorSubject<number>;
    suspendCurrentPageSubscription$: BehaviorSubject<boolean>;
    pageCount: number;
    loading: boolean;
    showAdd: boolean;
    background: string;
    onClickAdd: EventEmitter<any>;
    container: ElementRef;
    current: ElementRef;
    navigationDirection: number;
    mouseDownStream$: Observable<any>;
    touchStartStream$: Observable<any>;
    mouseUpStream$: Observable<any>;
    touchEndStream$: Observable<any>;
    mouseDownSubscription$: Subscription;
    touchStartSubscription$: Subscription;
    mouseUpSubscription$: Subscription;
    touchEndSubscription$: Subscription;
    currentButtonContent: string;
    constructor();
    ngOnInit(): void;
    goFirst(): void;
    goLast(): void;
    goPrevious(): void;
    goNext(): void;
    onClickAddLocal(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationComponent, "core-pagination", never, { "currentPage$": { "alias": "currentPage$"; "required": false; }; "suspendCurrentPageSubscription$": { "alias": "suspendCurrentPageSubscription$"; "required": false; }; "pageCount": { "alias": "pageCount"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "showAdd": { "alias": "showAdd"; "required": false; }; "background": { "alias": "background"; "required": false; }; }, { "onClickAdd": "onClickAdd"; }, never, never, true, never>;
}
