import { EventEmitter, OnInit } from '@angular/core';
import { IAtShiftPattern } from '../../../interfaces/time-management/IAtShiftPattern';
import { BaseComponent } from '../../../libraries/base-component/base/base.component';
import { CoreDatetimeService } from '../../../libraries/services/core-datetime.service';
import * as i0 from "@angular/core";
export declare class StartOffsetComponent extends BaseComponent implements OnInit {
    pattern: IAtShiftPattern;
    scopeStartDate: Date;
    scopeEndDate: Date;
    onClose: EventEmitter<number>;
    coreDatetimeService: CoreDatetimeService;
    startOffset: number;
    calendarDays: Date[];
    dayScopeLinePadding: number;
    daysFilledToTheRight: number[];
    hovering: boolean;
    ngOnInit(): void;
    onCloseLocal(): void;
    getDate(date: Date): number;
    onHover(dayNumber: number, isHovered: boolean): void;
    onStartOffsetChange(e: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StartOffsetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StartOffsetComponent, "core-start-offset", never, { "pattern": { "alias": "pattern"; "required": true; }; "scopeStartDate": { "alias": "scopeStartDate"; "required": true; }; "scopeEndDate": { "alias": "scopeEndDate"; "required": true; }; }, { "onClose": "onClose"; }, never, never, true, never>;
}
