import { BaseEditComponent } from '../../../libraries/base-edit/base-edit/base-edit.component';
import { Subscription } from 'rxjs';
import { ICorePageEditCRUD } from '../../../libraries/core-page-edit/ICorePageEditCRUD';
import { ICoreFormSection } from '../../../libraries/core-form/core-form/enum-interfaces';
import { DialogService } from '../../../services/dialog.service';
import { FormGroup } from '@angular/forms';
import { AppService } from '../../../services/app.service';
import { AtShiftPatternService } from '../at-shift-pattern.service';
import { CorePageListService } from '../../../libraries/core-page-list/core-page-list.service';
import { CoreFormService } from '../../../libraries/core-form/core-form.service';
import { CorePageEditService } from '../../../libraries/core-page-edit/core-page-edit.service';
import * as i0 from "@angular/core";
export declare class AtShiftPatternEditComponent extends BaseEditComponent {
    dialogService: DialogService;
    private appService;
    private atShiftPatternService;
    private corePageListService;
    private corePageEditService;
    private coreFormService;
    captionCode: string;
    loading: boolean;
    entityTable: string;
    subscriptions: Subscription[];
    crud: ICorePageEditCRUD;
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService, appService: AppService, atShiftPatternService: AtShiftPatternService, corePageListService: CorePageListService, corePageEditService: CorePageEditService, coreFormService: CoreFormService);
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    onSubmitSuccess(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AtShiftPatternEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AtShiftPatternEditComponent, "core-at-shift-pattern-edit", never, { "captionCode": { "alias": "captionCode"; "required": false; }; }, {}, never, never, true, never>;
}
