import { AfterViewInit, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../../libraries/core-page-list/core-page-list.component';
import { ICoreTableColumnItem } from '../../libraries/core-table/ICoreTableColumnItem';
import { AtShiftPatternService } from './at-shift-pattern.service';
import { AppService } from '../../services/app.service';
import { CoreButtonGroupService, ICoreButtonGroupStatus } from '../../libraries/core-button-group-vns/core-button-group-service';
import { BehaviorSubject, Subscription } from 'rxjs';
import { BaseEditComponent } from '../../libraries/base-edit/base-edit/base-edit.component';
import { MultiLanguageService } from '../../services/multi-language.service';
import { ActivatedRoute, Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class AtShiftPatternComponent extends BaseEditComponent implements OnInit, OnDestroy, AfterViewInit {
    sticker: TemplateRef<any>;
    mls: MultiLanguageService;
    atShiftPatternService: AtShiftPatternService;
    appService: AppService;
    coreButtonGroupService: CoreButtonGroupService;
    router: Router;
    route: ActivatedRoute;
    subscriptions: Subscription[];
    lang: string;
    buttonGroupStatus: ICoreButtonGroupStatus;
    rowClick$: BehaviorSubject<number>;
    title: string;
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    editCaptionCode: string;
    loading: boolean;
    columns: ICoreTableColumnItem[];
    editRoute: ICorePageListEditRouting;
    statusOptionsApi: string;
    corePageListInstance: number;
    ngOnInit(): void;
    resolveSaveButton(disabled: boolean): void;
    ngAfterViewInit(): void;
    onCorePageHeaderButtonClick(e: any): void;
    onInstanceCreated(e: any): void;
    loadItem(): void;
    rowClick(e: any): void;
    onCellChange(_: any): void;
    onListChange(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AtShiftPatternComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AtShiftPatternComponent, "core-at-shift-pattern", never, {}, {}, never, never, true, never>;
}
