import { FormGroup } from '@angular/forms';
import { EnumTranslateKey } from "alpha-global-constants";
import { BaseEditComponent } from '../../../libraries/base-edit/base-edit/base-edit.component';
import { CoreFormService } from '../../../libraries/core-form/core-form.service';
import { ICoreFormSection } from '../../../libraries/core-form/core-form/enum-interfaces';
import { ICorePageEditCRUD } from '../../../libraries/core-page-edit/ICorePageEditCRUD';
import { ICorePageEditColumnComposition } from '../../../libraries/core-page-edit/ICorePageEditColumnComposition';
import { DialogService } from '../../../services/dialog.service';
import * as i0 from "@angular/core";
export declare class LanguageEditComponent extends BaseEditComponent {
    dialogService: DialogService;
    private coreFormService;
    entityTable: string;
    captionCode: EnumTranslateKey;
    formComposition: ICorePageEditColumnComposition[][];
    crud: ICorePageEditCRUD;
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService, coreFormService: CoreFormService);
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LanguageEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LanguageEditComponent, "app-language-edit", never, {}, {}, never, never, true, never>;
}
