import { FormGroup } from '@angular/forms';
import { BaseEditComponent } from '../../../libraries/base-edit/base-edit/base-edit.component';
import { EnumTranslateKey } from "alpha-global-constants";
import { ICorePageEditColumnComposition } from '../../../libraries/core-page-edit/ICorePageEditColumnComposition';
import { ICorePageEditCRUD } from '../../../libraries/core-page-edit/ICorePageEditCRUD';
import { ICorePageListApiDefinition } from '../../../libraries/core-page-list/core-page-list.component';
import { ICoreFormSection } from '../../../libraries/core-form/core-form/enum-interfaces';
import { ICoreTableColumnItem } from '../../../libraries/core-table/ICoreTableColumnItem';
import { DialogService } from '../../../services/dialog.service';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class MenuEditComponent extends BaseEditComponent {
    dialogService: DialogService;
    private router;
    entityTable: string;
    captionCode: EnumTranslateKey;
    formComposition: ICorePageEditColumnComposition[][];
    crud: ICorePageEditCRUD;
    functionMccColumns: ICoreTableColumnItem[];
    functionMccApiDefinition: ICorePageListApiDefinition;
    parentId: number;
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService, router: Router);
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    onSubmitSuccess(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuEditComponent, "app-menu-edit", never, {}, {}, never, never, true, never>;
}
