import { AfterViewInit, TemplateRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { EnumTranslateKey } from 'alpha-global-constants';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../../libraries/core-page-list/core-page-list.component';
import { ICoreTableColumnItem } from '../../libraries/core-table/ICoreTableColumnItem';
import * as i0 from "@angular/core";
export declare class PaSalaryPolicyComponent implements AfterViewInit {
    code: TemplateRef<any>;
    sticker: TemplateRef<any>;
    isDefault: TemplateRef<any>;
    hideHeader: boolean;
    title: EnumTranslateKey;
    outerParam$: BehaviorSubject<any>;
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    columns: ICoreTableColumnItem[];
    editRoute: ICorePageListEditRouting;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaSalaryPolicyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaSalaryPolicyComponent, "app-pa-salary-policy", never, { "hideHeader": { "alias": "hideHeader"; "required": false; }; }, {}, never, never, true, never>;
}
