import { AfterViewInit, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { BaseEditComponent } from '../../libraries/base-edit/base-edit/base-edit.component';
import { ICoreButtonVNS } from '../../libraries/core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { IFunctionWithFullActions, RoutingService } from '../../services/routing.service';
import { EnumTranslateKey } from "alpha-global-constants";
import { EnumCoreButtonVNSCode } from '../../libraries/core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { DialogService } from '../../services/dialog.service';
import { AppService } from '../../services/app.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { Location } from '@angular/common';
import { GrpcService } from '../../services/grpc.service';
import * as i0 from "@angular/core";
export declare class SysFunctionActionMapperComponent extends BaseEditComponent implements AfterViewInit, OnDestroy {
    dialogService: DialogService;
    private appService;
    private routingService;
    private mls;
    private location;
    private grpcService;
    loading: boolean;
    buttons: ICoreButtonVNS[];
    function: IFunctionWithFullActions;
    entityTable: string;
    subscriptions: Subscription[];
    captionCode: EnumTranslateKey;
    truelyText: EnumTranslateKey;
    falsyText: EnumTranslateKey;
    buttonItems: EnumCoreButtonVNSCode[];
    lang: string;
    constructor(dialogService: DialogService, appService: AppService, routingService: RoutingService, mls: MultiLanguageService, location: Location, grpcService: GrpcService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onSubmit(): void;
    onCancel(): void;
    onButtonClick(e: ICoreButtonVNS): void;
    private reloadFunctions;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SysFunctionActionMapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SysFunctionActionMapperComponent, "app-sys-function-action-mapper", never, {}, {}, never, never, true, never>;
}
