import { FormGroup } from '@angular/forms';
import { Subscription } from 'rxjs';
import { EnumTranslateKey } from "alpha-global-constants";
import { BaseEditComponent } from '../../../libraries/base-edit/base-edit/base-edit.component';
import { ICoreFormSection } from '../../../libraries/core-form/core-form/enum-interfaces';
import { ICorePageEditCRUD } from '../../../libraries/core-page-edit/ICorePageEditCRUD';
import { AppService } from '../../../services/app.service';
import { DialogService } from '../../../services/dialog.service';
import * as i0 from "@angular/core";
export declare class SysModuleEditComponent extends BaseEditComponent {
    dialogService: DialogService;
    private appService;
    loading: boolean;
    entityTable: string;
    captionCode: EnumTranslateKey;
    subsctiptions: Subscription[];
    crud: ICorePageEditCRUD;
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService, appService: AppService);
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SysModuleEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SysModuleEditComponent, "app-sys-module-edit", never, {}, {}, never, never, true, never>;
}
