import { AfterViewInit } from '@angular/core';
import { BaseEditComponent } from '../../../libraries/base-edit/base-edit/base-edit.component';
import { api, EnumTranslateKey } from 'alpha-global-constants';
import { BehaviorSubject, Subscription } from 'rxjs';
import { DialogService } from '../../../services/dialog.service';
import { ICoreDropdownOption } from '../../../interfaces/ICoreDropdownOption';
import { FormGroup } from '@angular/forms';
import { ICorePageEditCRUD } from '../../../libraries/core-page-edit/ICorePageEditCRUD';
import { ICoreFormSection } from '../../../libraries/core-form/core-form/enum-interfaces';
import { AppService } from '../../../services/app.service';
import { SysOtherListService } from '../sys-other-list.service';
import * as i0 from "@angular/core";
export declare class SysOtherListEditComponent extends BaseEditComponent implements AfterViewInit {
    dialogService: DialogService;
    private appService;
    private sysOtherListService;
    loading: boolean;
    entityTable: string;
    typeGetByIdApi: api;
    typeOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    captionCode: EnumTranslateKey;
    crud: ICorePageEditCRUD;
    subsctiptions: Subscription[];
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService, appService: AppService, sysOtherListService: SysOtherListService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SysOtherListEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SysOtherListEditComponent, "core-sys-other-list-edit", never, {}, {}, never, never, true, never>;
}
