import { AfterViewInit, TemplateRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { BaseComponent } from '../../libraries/base-component/base/base.component';
import { EnumTranslateKey } from 'alpha-global-constants';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../../libraries/core-page-list/core-page-list.component';
import { ICoreTableColumnItem } from '../../libraries/core-table/ICoreTableColumnItem';
import { MultiLanguageService } from '../../services/multi-language.service';
import { ICoreListOption } from '../../libraries/core-list/core-list/core-list.component';
import { IFilterOperator } from '../../interfaces/IQueryListRequest';
import { AppService } from '../../services/app.service';
import * as i0 from "@angular/core";
export declare class SysOtherListComponent extends BaseComponent implements AfterViewInit {
    mls: MultiLanguageService;
    private appService;
    sticker: TemplateRef<any>;
    otherListOption: ICoreListOption[];
    typeId: number;
    outerFilterOperators: IFilterOperator[];
    outerParam$: BehaviorSubject<any>;
    title: EnumTranslateKey;
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    columns: ICoreTableColumnItem[];
    editRoute: ICorePageListEditRouting;
    constructor(mls: MultiLanguageService, appService: AppService);
    ngAfterViewInit(): void;
    private loadTypes;
    onOtherListTypeChange(typeId: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SysOtherListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SysOtherListComponent, "core-sys-other-list", never, {}, {}, never, never, true, never>;
}
