import { Observable } from 'rxjs';
import { CommonHttpRequestService } from './common-http-request.service';
import { ClientService } from './client.service';
import * as i0 from "@angular/core";
export declare class AppService {
    private commonHttpRequestService;
    private clientService;
    constructor(commonHttpRequestService: CommonHttpRequestService, clientService: ClientService);
    get(url: string, cacheRequest?: boolean, signal?: AbortSignal | null): Observable<any>;
    getSkipInterceptor(url: string, cacheRequest?: boolean): Observable<any>;
    post(url: string, payload: any, signal?: AbortSignal | null): Observable<any>;
    postSkipInterceptor(url: string, payload: any): Observable<any>;
    getFullUrl(url: string): Observable<any>;
    postFullUrl(url: string, payload: any): Observable<any>;
    blobPost(url: string, payload: any): Observable<any>;
    blobPostSkipInterceptor(url: string, payload: any): Observable<any>;
    readExcel(file: File): Promise<any>;
    generateUuid(): string;
    showNotification(title: string, options: any): void;
    formatHttpError(error: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AppService>;
}
