import { ApplicationRef, OnDestroy } from '@angular/core';
import { SwUpdate } from '@angular/service-worker';
import { Subscription } from 'rxjs';
import { AlertService } from '../libraries/alert/alert.service';
import { DialogService } from './dialog.service';
import { MultiLanguageService } from './multi-language.service';
import { AppConfigService } from './app-config.service';
import * as i0 from "@angular/core";
export declare enum EnumSwUpdateVersionUpdatesEventType {
    VERSION_DETECTED = "VERSION_DETECTED",
    NO_NEW_VERSION_DETECTED = "NO_NEW_VERSION_DETECTED",
    VERSION_READY = "VERSION_READY",
    VERSION_INSTALLATION_FAILED = "VERSION_INSTALLATION_FAILED"
}
export declare class CheckForUpdateService implements OnDestroy {
    subscriptions: Subscription[];
    pendingAction: string;
    currentVersion: string;
    latestVersion: string;
    constructor(appRef: ApplicationRef, swUpdate: SwUpdate, alertService: AlertService, dialogService: DialogService, mls: MultiLanguageService, appConfigService: AppConfigService);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckForUpdateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CheckForUpdateService>;
}
