import * as i0 from "@angular/core";
export declare enum EnumDeviceType {
    LAPTOP_PC = "LAPTOP_PC",
    MOBILE_DEVICE = "MOBILE_DEVICE",
    TABLET = "TABLET",
    UNKNOWN = "UNKNOWN"
}
export declare enum EnumBrowserType {
    EDGE = "EDGE",
    FIREFOX = "FIREFOX",
    OPERA = "OPERA",
    CHROME = "CHROME",
    SAFARI = "SAFARI",
    IE = "IE",
    UNKNOWN = "UNKNOWN"
}
export declare enum EnumOsType {
    WINDOWS_11 = "WINDOWS_11",
    WINDOWS_10 = "WINDOWS_10",
    WINDOWS_8_1 = "WINDOWS_8_1",
    WINDOWS_8 = "WINDOWS_8",
    WINDOWS_7 = "WINDOWS_7",
    MACINTOSH = "MACINTOSH",
    LINUX = "LINUX",
    ANDROID = "ANDROID",
    IOS = "IOS",
    UNKNOWN = "UNKNOWN"
}
export interface IBrowserOSAndDeviceInfo {
    browser: EnumBrowserType;
    os: EnumOsType;
    deviceType: EnumDeviceType;
}
export declare class ClientService {
    constructor();
    getBrowserOSAndDevice(): IBrowserOSAndDeviceInfo;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClientService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ClientService>;
}
