import { BehaviorSubject } from 'rxjs';
import { ICoreButtonVNS } from '../libraries/core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import * as i0 from "@angular/core";
export declare class LayoutService {
    headerHeight$: BehaviorSubject<number>;
    coreTableViewpotTop$: BehaviorSubject<number>;
    leftbarReduced$: BehaviorSubject<boolean>;
    leftbarOpen$: BehaviorSubject<boolean>;
    corePageViewFormGroupBackgroundColor$: BehaviorSubject<string>;
    landscapeMode$: BehaviorSubject<boolean>;
    modulePanelWidth$: BehaviorSubject<number>;
    contentContainerHeight$: BehaviorSubject<number>;
    contentContainerWidth$: BehaviorSubject<number>;
    layoutHeaderHeight$: BehaviorSubject<number>;
    leftBarWideWidth$: BehaviorSubject<number>;
    leftBarThinWidth: number;
    leftBarCurrentWidth$: BehaviorSubject<number>;
    corePageHeaderHeight: number;
    corePaginationHeight: number;
    coreTabsHeaderLineHeight: number;
    basicSpacing: number;
    navigtorThinModeSpacing: number;
    tableBorderTop: number;
    formControlHeight: number;
    coreOrgTreeTopHeight: number;
    coreOrgTreeBottomHeight: number;
    headerHeight: number;
    quickLinkItemSize: number;
    comingSoonAvatarSize: number;
    comingSoonCardHeight: number;
    notificationCount$: BehaviorSubject<number>;
    availableHeight$: BehaviorSubject<number>;
    deviceWidth: number;
    deviceHeight: number;
    cellHeight: number;
    cellWidth: number;
    clickEdit$: BehaviorSubject<ICoreButtonVNS[]>;
    contentContainerHeight: number;
    scrollBarWidth: number;
    leftBarSecondIconLeft: number;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LayoutService>;
}
