import { Observable } from 'rxjs';
import { AppConfigService } from '../services/app-config.service';
import * as i0 from "@angular/core";
export interface IDemoAvatarItem {
    fileName: string;
    isFemale: boolean;
}
export declare class RandomAvatarService {
    private appConfigService;
    maleAvatarMap: Map<string, IDemoAvatarItem>;
    femaleAvatarMap: Map<string, IDemoAvatarItem>;
    constructor(appConfigService: AppConfigService);
    lastPath: string;
    lastIndexPulledFromMap: number;
    get(): string;
    getFromTheInternet(): string;
    getDemoAvatar$(isFemale: boolean): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RandomAvatarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RandomAvatarService>;
}
