import { BehaviorSubject } from 'rxjs';
import { IAtShiftPattern } from '../interfaces/time-management/IAtShiftPattern';
import { MultiLanguageService } from './multi-language.service';
import * as i0 from "@angular/core";
export declare class ShiftPatternDndService {
    draggingData$: BehaviorSubject<string>;
    draggingPattern$: BehaviorSubject<IAtShiftPattern | undefined>;
    draggingFromCellId$: BehaviorSubject<string>;
    dragoverCellId$: BehaviorSubject<string>;
    collectionStarterX$: BehaviorSubject<number>;
    collectionResetTransform$: BehaviorSubject<boolean>;
    patternCollectionOpen$: BehaviorSubject<boolean>;
    mls: MultiLanguageService;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<ShiftPatternDndService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ShiftPatternDndService>;
}
