import { AuthService } from './auth.service';
import { HubConnectionService } from './hub-connection.service';
import { UserActivityService } from './user-activity.service';
import { AppConfigService } from './app-config.service';
import { AlertService } from '../libraries/alert/alert.service';
import { LongTaskService } from '../libraries/services/long-task.service';
import { Router } from '@angular/router';
import { AppService } from './app.service';
import { NewlyCreatedTokenService } from '../libraries/core-active-user-count/newly-created-token.service';
import { CoreWorkflowService } from '../libraries/core-workflow-builder/core-workflow.service';
import { IWorkflowInstance } from '../libraries/core-workflow-builder/interfaces/IWorkflowInstance';
import * as i0 from "@angular/core";
export declare class SocketService {
    private authService;
    private userActivityService;
    private hubConnectionService;
    private appConfigService;
    private alertService;
    private router;
    private longTaskService;
    private appService;
    private newlyCreatedTokenService;
    private wfs;
    $workflowTicket: import("@angular/core").WritableSignal<IWorkflowInstance | null>;
    constructor(authService: AuthService, userActivityService: UserActivityService, hubConnectionService: HubConnectionService, appConfigService: AppConfigService, alertService: AlertService, router: Router, longTaskService: LongTaskService, appService: AppService, newlyCreatedTokenService: NewlyCreatedTokenService, wfs: CoreWorkflowService);
    createHubConnection(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SocketService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SocketService>;
}
