import { BehaviorSubject, Observable } from 'rxjs';
import { StatisticService } from './statistic.service';
import { IStatisticAuthData } from '../interfaces/IStatisticAuthData';
import * as i0 from "@angular/core";
export declare class StatisticAuthService {
    private statisticService;
    data$: BehaviorSubject<IStatisticAuthData | null>;
    authenticated$: BehaviorSubject<boolean>;
    refreshTokenInProgress: boolean;
    refreshTokenSubject: BehaviorSubject<any>;
    refreshingToken$: BehaviorSubject<boolean>;
    constructor(statisticService: StatisticService);
    getAuthorizationToken(): string;
    userLogin(payload: any): Observable<any>;
    userLogout(): Observable<any>;
    tryRestoreSession(): Observable<any>;
    resolveAuthenticateResponse(x: any): void;
    postLogout(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StatisticAuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StatisticAuthService>;
}
