import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export interface IArtCategoryItemUserGroup {
    userGroupId: number;
    artCategoryItemId: number;
    allowCreate: boolean;
    allowRead: boolean;
    allowUpdate: boolean;
    allowDelete: boolean;
    allowApprove: boolean;
}
export declare class TopicPermissionService {
    currentUserGroupId$: BehaviorSubject<number | undefined>;
    currentValue$: BehaviorSubject<IArtCategoryItemUserGroup[]>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<TopicPermissionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TopicPermissionService>;
}
