import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export interface IUserActivity {
    type: string;
    user: string;
    avatar: string;
    message: string;
    data: IUserActivityData;
}
export interface IUserActivityData {
    group?: string;
    sid: string;
    username: string;
    pathname: string;
    avatar: string;
    hubConnectionId: string;
    accessTime: number;
    userActivity?: IUserActivityData[];
}
export declare class UserActivityService {
    userActivity$: BehaviorSubject<IUserActivityData[]>;
    constructor();
    mergeActivities(incomingData: IUserActivityData[]): IUserActivityData[];
    static ɵfac: i0.ɵɵFactoryDeclaration<UserActivityService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserActivityService>;
}
